Devuan fork of gpsd
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 
 

2249 lines
90 KiB

  1. gpsd (3.20-12+devuan1) unstable; urgency=medium
  2. * Fork Debian package for Devuan (Closes: #490, #314)
  3. * Remove systemd related stuff and restore sysvinit startup
  4. * Install gpsd-dbg binaries under /usr/libexec/gpsd
  5. * Enable hardened build
  6. * Update standards to 4.5.0
  7. * Bump debhelper to 13
  8. * Fix typos in code and documentation
  9. * Fix possible format buffer overrun
  10. * Do not install skyview.php as executable
  11. * Do not install gps.py as executable
  12. * Fix scons clean command
  13. -- Boian Bonev <bbonev@ipacct.com> Tue, 14 Jul 2020 20:41:45 +0000
  14. gpsd (3.20-12) unstable; urgency=medium
  15. [ Bernd Zeimetz ]
  16. * [b7a30c42] Disable reprotest on CI for now.
  17. Until somebody comes up with a fix.
  18. [ Christian Ehrhardt ]
  19. * [fccbcc8f] fix json missing quotes on device add (LP: #1879272)
  20. Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>
  21. -- Bernd Zeimetz <bzed@debian.org> Wed, 20 May 2020 09:04:54 +0200
  22. gpsd (3.20-11) unstable; urgency=medium
  23. [ Christian Ehrhardt ]
  24. * [232c8d73] d/rules: fix ubxtool to use python3 in the gpsd package (LP: #1878158)
  25. Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>
  26. -- Bernd Zeimetz <bzed@debian.org> Tue, 12 May 2020 13:49:15 +0200
  27. gpsd (3.20-10) unstable; urgency=medium
  28. [ Christian Ehrhardt ]
  29. * [7670b61e] exchange gpsd-client/tools content
  30. * [fb81a96a] examples also need to be in -clients instead of -tools then
  31. * [7f8d06a8] d/control[.in]: moving gpsctl still breaks gpsd-clients
  32. (<< 3.20-9) for upgraders never seeing the version in experimental
  33. [ Bernd Zeimetz ]
  34. * [b448fb08] Merge branch 'exchange-clients-and-tools' into 'master'
  35. exchange gpsd-client/tools content
  36. See merge request debian-gps-team/pkg-gpsd!6
  37. -- Bernd Zeimetz <bzed@debian.org> Mon, 11 May 2020 14:40:08 +0200
  38. gpsd (3.20-9) experimental; urgency=medium
  39. [ Christian Ehrhardt ]
  40. * [6a21e6bd] d/usr.sbin.gpsd: improve apparmor rules for PPS
  41. usage (LP: #1872175 LP: #1872178)
  42. * [c8b703b4] d/gpsd.default: add USBAUTO option (LP: #1873415)
  43. * [2fcf9754] split more uncommon tools to gpsd-tools (LP: #1872189)
  44. * [4a1454fb] d/control[.in]: have gpsd-tools depend on gpsd-clients
  45. as it extends on cgps
  46. * Move tools for local HW config into gpsd itself
  47. - [016cff82] move gpsctl to package gpsd
  48. - [b78132aa] d/control[.in]: move ubxtool and ntpshmmon to gpsd
  49. * python fixups for Lintian warnings
  50. - d/control[.in]: add python3 dependency to gpsd-dbg
  51. - d/rules: fix the py2/3 fixup applied post build
  52. - d/rules: let package gpsd be processed by dh_python3
  53. - d/control[.in]: gpsd needs python as depends
  54. -- Bernd Zeimetz <bzed@debian.org> Sat, 02 May 2020 01:19:11 +0200
  55. gpsd (3.20-8) unstable; urgency=medium
  56. * [62aa4951] Remove last traces of python2. (Closes: #936645)
  57. -- Bernd Zeimetz <bzed@debian.org> Thu, 09 Apr 2020 11:09:55 +0200
  58. gpsd (3.20-7) unstable; urgency=medium
  59. * [4a08d30e] Remove libdbus-glib-1-dev build-dep.
  60. Thanks to Simon McVittie (Closes: #955846)
  61. -- Bernd Zeimetz <bzed@debian.org> Sun, 05 Apr 2020 23:16:32 +0200
  62. gpsd (3.20-6) unstable; urgency=medium
  63. [ Bernd Zeimetz ]
  64. * [b0d9ef06] Fix autopkgtest for new systemd releases.
  65. Thanks to Michael Biebl (Closes: #953760)
  66. [ Christian Ehrhardt ]
  67. * [4c4e5ea1] device-hook apparmor fixes (LP: #1868363)
  68. The manpage defines a hook that is called by gpsd which due to current
  69. confinement it is unable to run.
  70. - d/usr.sbin.gpsd: allow to call the /etc/gpsd/device-hook in the
  71. apparmor profile
  72. - d/usr.sbin.gpsd: allow to map and execute the own binary as needed
  73. in some containers
  74. - d/usr.sbin.gpsd: allow to run common shell interpreters bash/dash
  75. That hook will run within the confinement of gpsd, so if it is expected
  76. to do anything more special a user will have to allow that in
  77. /etc/apparmor.d/local/usr.sbin.gpsd
  78. Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>
  79. -- Bernd Zeimetz <bzed@debian.org> Sat, 28 Mar 2020 22:16:13 +0100
  80. gpsd (3.20-5) unstable; urgency=medium
  81. * [b2aadaf9] Fix device activation via gpsd socket.
  82. -- Bernd Zeimetz <bzed@debian.org> Thu, 12 Mar 2020 10:46:35 +0100
  83. gpsd (3.20-4) unstable; urgency=medium
  84. [ Christian Ehrhardt ]
  85. * [58b18a53] apparmor: fix control socket usage for gpsdctrl (LP: #1790496)
  86. The subsequent access of the daemon to the device is covered already.
  87. # common serial paths to GPS devices
  88. /dev/tty{,S,USB,AMA,ACM}[0-9]* rw,
  89. But gpsdctl itself isn't yet - therefore we see
  90. $ sudo gpsdctl add /dev/ttyUSB0
  91. triggering:
  92. apparmor="DENIED profile="/usr/sbin/gpsd" name="/run/gpsd.sock" requested_mask="r" denied_mask="r"
  93. This change adds a rule for that.
  94. Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>
  95. -- Bernd Zeimetz <bzed@debian.org> Sat, 01 Feb 2020 01:11:24 +0100
  96. gpsd (3.20-3) unstable; urgency=medium
  97. * Uploading to unstable.
  98. -- Bernd Zeimetz <bzed@debian.org> Sun, 12 Jan 2020 20:16:47 +0100
  99. gpsd (3.20-2) experimental; urgency=medium
  100. * [4f1c9d4f] Merge branch 'non-linux' into 'master'
  101. Build fixes for non-Linux archs
  102. See merge request debian-gps-team/pkg-gpsd!2
  103. * [7196c903] Updating debian/control from debian/control.in
  104. * [2227686a] Redo changes accidentally done in d/control
  105. * [f3a7fb54] Add patch to fix soname.
  106. Went missing upstream somewhere
  107. * [49d89d24] Update gbp.conf for experimental
  108. -- Bernd Zeimetz <bzed@debian.org> Wed, 08 Jan 2020 23:21:55 +0100
  109. gpsd (3.20-1) unstable; urgency=medium
  110. * [9edad156] It is /dev/ttyACM[0-9]+, not /dev/ACM[0-9]+.
  111. Fix the apparmor profile. (Closes: #944521)
  112. * [13daa71f] Update upstream source from tag 'upstream/3.20'
  113. Update to upstream version '3.20'
  114. with Debian dir d2e29602486466a54dcd800a73e727aa3ef129ce
  115. * [51f56687] Refreshing patches.
  116. * [55d0b5b4] Updating changelog
  117. * [fd2a44f4] Fix gpsd.docs for asciidoc.
  118. Files were converted by upstream
  119. * [2da3f0f4] python-gps is gone, remove .install file also
  120. * [9759c33a] python3-gps.install: update for new file/module names.
  121. * [10f81da8] gpsd-dbg.install: update debug binaries
  122. * [f529940a] Updating symbols files
  123. * [5c851b49] Ignore the build-time test for xgps deps.
  124. We'll deliver them as dependency, no worries.
  125. * [32358c88] Use python_libdir instead of a mv hack.
  126. * [bf7651e1] Install soelim stubs instead of links for manpages.
  127. Seems to work fine, so why keep the extra work?
  128. * [7ee82f94] Remove chrpath hack. Not needed anymore it seems.
  129. * [55d2d180] Depend on asciidoc.
  130. * [c8f81b96] Don't install non-build-related python deps.
  131. * [aa045a15] libQgpsmm.3 is not yet compressed at install time
  132. * [cfa6a5d3] Fix shebang in the debug scripts
  133. * [53178b81] Updating changelog
  134. * [9133a8a2] Limit the shebang fix to python files only
  135. -- Bernd Zeimetz <bzed@debian.org> Sat, 04 Jan 2020 02:34:41 +0100
  136. gpsd (3.19-3) unstable; urgency=medium
  137. * [ba252b48] Use one sconsign file per pickle version.
  138. Thanks to Graham Inggs (Closes: #945238)
  139. -- Bernd Zeimetz <bzed@debian.org> Thu, 21 Nov 2019 19:51:42 +0100
  140. gpsd (3.19-2) unstable; urgency=medium
  141. * [06ae5582] Add debian/.gitlab-ci.yml
  142. * [b200620e] Update Vcs-Git Urls
  143. * [1991f99e] git is not available on buildds.
  144. * [809c6c4a] Remove weird env flag overrides
  145. * [85c4fbb7] snapshot changelog
  146. * [24e0be41] try again
  147. * [ede12b7b] Merge branch 'master' of salsa.debian.org:debian-gps-team/pkg-gpsd
  148. * [29fe8717] Remove options only used by the init script.
  149. * [0232f523] Scons ignores hardening-flags and others, try this.
  150. * [d163bdcd] Revert "Scons ignores hardening-flags and others, try this."
  151. This reverts commit 0232f52302f65f545118f653f787daf2429d0c0a.
  152. * [27d27ef5] A better try to fix scons env handling
  153. * [fc43714a] More fixes for the env-handling.
  154. * [9b34a869] Fix the broken fix
  155. * [6fd99707] Also merge CFLAGS/CXXFLAGS/...
  156. * [200cf80c] Also try to fix python cflags handling
  157. * [0dd50707] Use python3 for default scons things.
  158. After building the first version with python 3, the pickle version of
  159. the cached scons data will be too old.
  160. * [bbf652ee] Remove python2 support.
  161. Building both python versions got impossible since recent python3
  162. versions use a new picke version and scons stores its state in a pickle
  163. file...
  164. * [8eee1d20] Also remove dependencies on python-gps
  165. * [e3b30066] Updating debian/control from debian/control.in
  166. * [0332c8e5] Remove duplicate build-deps
  167. * [62b43a57] Updating changelog
  168. * [a8bbbce5] Use python3 for gpsd-clients
  169. * [288e9075] gpsd-clients breaks/replaces python-gps
  170. * [2f21db33] use aptly
  171. * [fd092a4d] Use python3-gi instead of python3-gtk
  172. * [0be9eebd] changes need to go into control.in
  173. * [a620b1d5] Depend on python3
  174. * [cbf832dd] Updating debian/control from debian/control.in
  175. -- Bernd Zeimetz <bzed@debian.org> Sun, 13 Oct 2019 21:56:20 +0200
  176. gpsd (3.19-1) experimental; urgency=medium
  177. [ Christian Ehrhardt ]
  178. * [d61040a0] d/usr.sbin.gpsd: Relicense to BSD to match the Project.
  179. As the Author of the profile I'm relicensing the apparmor profile
  180. to the BSD License to match the (majority) of the rest of the
  181. GPSD project licenses.
  182. Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>
  183. [ Lisandro Damián Nicanor Pérez Meyer ]
  184. * [5de17f0c] Allow gpsd.service to be enabled by the admin at boot time.
  185. Be sure to keep it disabled. The admin needs to explicitely start
  186. it if needed. (Closes: #928681)
  187. [ Bernd Zeimetz ]
  188. * [7a45f357] Update upstream source from tag 'upstream/3.19'
  189. Update to upstream version '3.19'
  190. with Debian dir b3aea49f5d39c5eb18ffcb61a2b6cebae7f7322f
  191. * [63e0cd09] snapshot changelog
  192. * [5e3a1568] test script location changed
  193. * [9035f8d9] add test_misc.py
  194. * [6d9ccaf3] Add gpsrinex
  195. * [764bfeaa] Updating symbol files
  196. -- Bernd Zeimetz <bzed@debian.org> Thu, 11 Jul 2019 10:01:16 +0200
  197. gpsd (3.18.1-1) experimental; urgency=medium
  198. [ Christian Ehrhardt ]
  199. * Lintian/Standarts/Compat-level fixes
  200. - [7f88e6a6] d/copyright: update to dep-5 format and for project changes
  201. - [1260d1f4] d/p/series: mention the purpose of add_patch.sh
  202. - [900bdc19] d/patches/gpsd_hotplug_rules_disable_generic_serial_converters
  203. add dep-3 header
  204. - [03a2b421] add minimal header to debian/patches/full-systemd-support
  205. - [6759d5f2] d/gpsd.init: remove sysV to not jeopardize socket activation
  206. - [090182f8] d/gpsd.maintscript: clean up dropped sysV init (conffile)
  207. - [405bf8c1] add autopkgtest to verify service/socket
  208. - [373e3f23] d/rules: use pkg-info.mk to detect the package version
  209. - [8022d1d5] d/p/python3_support_in-SConstruct: add minimal dep-3 patch
  210. header
  211. - [00b447e6] d/control{.in}: point to current packaging repo with secure url
  212. - [7640cb28] d/control{.in}: update debhelper build dependencies per lintian
  213. warnings
  214. - [1b87b0c0] d/rules, d/control{.in}: do not depend on qt5-default meta
  215. package
  216. - [b7db9f61] d/source/lintian-overrides: mark gpsd-dbg not being a package
  217. with debug symbols
  218. - [7e4513b8] d/gpsd.{pre,post}{rm,inst}: drop code only needed for upgrades
  219. from oldoldstable
  220. - [53f3ec60] d/compat: bump to compat 11, no further changes needed
  221. - [40505722] standards-version 3.9.8: switch deprecated menu to FreeDesktop
  222. entries
  223. - [3d6613a5] standards-version 4.0.0: do not build man pages if nodoc is set
  224. in DEB_BUILD_OPTIONS
  225. - [dd9396d4] standards-version 4.0.1: Use priority 'optional' instead of
  226. deprecated priority 'extra'
  227. - [d3563a42] debian/watch: use https and signature verification
  228. - [397d7744] d/control{.in}: bump Standards-Version to 4.2.1
  229. - [cd2c0ad1] d/rules: switch to dh_missing to prepare for compat 12
  230. - [2e9946c7] d/rules: use dh_installsystemd for compat >=11
  231. - [0031cfc8] d/control{.in}: simplify by dropping conflicts/breaks not even
  232. in oldoldstable anymore
  233. * complete python3 support that was started in 3.17-6 (Closes: #883286)
  234. - [30da0ff0] d/control{.in}: fix duplicate-long-description in
  235. python[3]-gps packages
  236. - [c088a6d7] d/control.in: add missing python3 changes
  237. - [96a7df91] d/control{.in}: scons for python3 will need >=3.5
  238. - [cf5d6e63] d/control{.in}: remove ancient X-Python-Version
  239. - [f15fbbe8] d/rules: scons need target_python set for py2/py3
  240. - [91daffd9] d/python3-gps.install: follow subversion specific py3 shared
  241. objects naming convention
  242. - [f53cd4a2] d/control{.in}: let gpsd-clients also depend on python3 bits
  243. - [fd7ff117] d/control{.in}, d/gpsd-clients.install, d/python3-gps.install:
  244. tools gpscat, gpsfake and gpsprof are python2 and part of the cli tools,
  245. so move them from python3-gps to gpsd-clients
  246. - [69de7b75] d/control: add ${python3:Depends} to gpsd-clients in case
  247. upstream switches to python3
  248. - [2f1dc482] d/control{.in}: add python dependencies not picked up by
  249. dh_python
  250. - [25a79e9f] d/control{.in}: remove manual python dependency
  251. python:Depends will take care
  252. - [02c1d28c] d/rules: remap wrong install prefix enforced by scons
  253. * [fd58e624] New upstream version 3.18.1
  254. - [0abe62cb] d/p/full-systemd-support: update for 3.18.1
  255. - [d6e6fe9a] d/p/python3_support_in-SConstruct: dropped as it is in 3.18.1
  256. - [324d2966] d/control{.in}: add python dependencies for better checks in
  257. 3.18.1
  258. - [7fd30c38] d/gpsd-clients.install: add new ubxtool and zerk to manage
  259. JAVAD and u-blox GPS
  260. - [1caba4b3] d/libgpsLIBGPSSONAME.symbols: update symbols to 3.18
  261. - [6eb6d26a] d/libqgpsmmLIBGPSSONAME.symbols: update symbols to 3.18
  262. * [d5ee2b3e] d/control[.in}, d/rules, d/usr.sbin.gpsd, d/gpsd.install: add
  263. apparmor profile for gpsd
  264. [ Bernd Zeimetz ]
  265. * [cc886877] Depend on the fixed scons version
  266. * [3ad7153a] Delete __pycache__ in clean target.
  267. * [b27def48] Add the build-in-debian .travis.yml again
  268. [ Christian Ehrhardt ]
  269. * [981b512c] d/t/control: mark test to require container.
  270. Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>
  271. * [35763ca7] d/t/control: mark all binaries we need as dependencies (expect no base system to be present)
  272. Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>
  273. * [950c3576] d/libgpsLIBGPSSONAME.install: use generated LIBGPSSONAME version.
  274. Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>
  275. * [d8942ba4] - d/rules, d/libgpsLIBGPSSONAME.install: replace libgps.so.LIBGPSSONAME with a quirk to avoid issues by broken fakeroot.
  276. Signed-off-by: Christian Ehrhardt <christian.ehrhardt@canonical.com>
  277. [ Bernd Zeimetz ]
  278. * [32ffa216] Let autopkgtest not fail build on travis.
  279. * [da9c1c8a] Use $(LIBGPS_SONAME) instead of hardcoded soname.
  280. * [a481720a] Updating debian/control from debian/control.in
  281. * [205cf6a0] Fix scons version in control.in, too.
  282. -- Bernd Zeimetz <bzed@debian.org> Tue, 11 Dec 2018 22:06:12 +0100
  283. gpsd (3.17-7) unstable; urgency=medium
  284. [ Lisandro Damián Nicanor Pérez Meyer ]
  285. * [ffb32ff8] Allow gpsd.service to be enabled by the admin at boot time.
  286. Be sure to keep it disabled. The admin needs to explicitely start
  287. it if needed.
  288. Closes: #928681
  289. -- Bernd Zeimetz <bzed@debian.org> Sat, 25 May 2019 11:55:30 +0200
  290. gpsd (3.17-6) unstable; urgency=medium
  291. * [0e1dce7c] Build python3-gps. (Closes: #883286)
  292. -- Bernd Zeimetz <bzed@debian.org> Wed, 21 Mar 2018 21:15:07 +0100
  293. gpsd (3.17-5) unstable; urgency=medium
  294. * [fd1e83f9] Add pkg-config as Build-Dependency.
  295. Went missing somehow :(
  296. * [6d0e69e3] Build with default compiler standard
  297. * [8994d7cb] Actually change control.in, not control.
  298. Needs an extra check to make sure I don't forget again :)
  299. * [a744cad9] Updating debian/control from debian/control.in
  300. -- Bernd Zeimetz <bzed@debian.org> Thu, 28 Dec 2017 00:57:01 +0100
  301. gpsd (3.17-4) unstable; urgency=medium
  302. * [cbbe97a4] Build against QT5.
  303. Thanks to Lisandro Damián Nicanor Pérez Meyer (Closes: #874905)
  304. * [aed76eeb] Depend on python-gi. (Closes: #885297)
  305. -- Bernd Zeimetz <bzed@debian.org> Tue, 26 Dec 2017 12:35:25 +0100
  306. gpsd (3.17-3) unstable; urgency=medium
  307. * [2638b3e] Avoid duplicate ppscheck installation.
  308. Thanks to Andreas Beckmann (Closes: #879951)
  309. -- Bernd Zeimetz <bzed@debian.org> Fri, 27 Oct 2017 17:26:55 +0200
  310. gpsd (3.17-2) unstable; urgency=medium
  311. * Uploading to unstable.
  312. * [a13df427] Fixing last changelog entry.
  313. Some lines went missing, oops.
  314. -- Bernd Zeimetz <bzed@debian.org> Thu, 26 Oct 2017 23:16:41 +0200
  315. gpsd (3.17-1) experimental; urgency=medium
  316. * [d21fbf15] Updated version 3.17 from 'upstream/3.17'
  317. with Debian dir 3099dc33257e902647917f2ad7e67eec078b0b42
  318. * [913ea95c] Fix SConstruct.
  319. * [d9d7b300] Python dbg _d.so files are not built anymore.
  320. * [f0ea0948] Install ppscheck + manpage
  321. * [7df3aa0a] Updating symbols files
  322. -- Bernd Zeimetz <bzed@debian.org> Sat, 21 Oct 2017 16:12:28 +0200
  323. gpsd (3.16-4) unstable; urgency=medium
  324. * [2405f456] Fix debug symbol handling.
  325. Debug symbols went missing when upstream switched the strip
  326. option name.
  327. Thanks to Andre Naujoks (Closes: #842792)
  328. * [74c3cd07] Updating debian/control from debian/control.in
  329. * [b66410da] hadle debian/control creation a bit better
  330. * [06a9623f] Use gz compression for now.
  331. * [44376877] Remove obsolete build dependency on hardening-includes.
  332. -- Bernd Zeimetz <bzed@debian.org> Fri, 04 Nov 2016 23:35:14 +0100
  333. gpsd (3.16-3) unstable; urgency=medium
  334. * [aa43cc65] Various patches were applied upstream.
  335. Take them from there, removing our version.
  336. * [1444f940] Build with -std=gnu++98. (Closes: #830993)
  337. * [505d032a] Remove netbase/systemd-sysv dependency.
  338. Not needed anymore. (Closes: #768100)
  339. * [b53473f0] Migrate to github.
  340. * [cb624dcb] Add travis.yml build stuff.
  341. * [1c3c3463] Updating gbp.conf to ignore travis.yml for debuild.
  342. * [d870a5c6] Don't rebuild for the static library.
  343. -- Bernd Zeimetz <bzed@debian.org> Sat, 24 Sep 2016 14:34:07 +0200
  344. gpsd (3.16-2) unstable; urgency=medium
  345. * [5001c11a] Do not start gpsd.service by default.
  346. We use socket based activation only.
  347. If one needs a running gpsd.service at boot - without being started by
  348. gpsd.socket - you'll have to configure systemd to start it.
  349. Too many people have gpsd installed as dependency and do not need yet
  350. another running process.
  351. -- Bernd Zeimetz <bzed@debian.org> Sun, 15 May 2016 15:35:20 +0200
  352. gpsd (3.16-1) unstable; urgency=medium
  353. * [c3d16637] Merge tag 'upstream/3.16'
  354. Upstream version 3.16
  355. * [29863f7a] Snapshot changelog.
  356. * [e61a749f] refreshing patches.
  357. * [ddc25e61] Pick some patches from upstream.
  358. - Fix test_gpsmm building
  359. - Fix FTBFS on hurd (Closes: #821804)
  360. * [67d9aca8] Fix check for clock_gettime.
  361. * [67b39606] Update git-buildpackage config.
  362. -- Bernd Zeimetz <bzed@debian.org> Sat, 30 Apr 2016 20:07:13 +0200
  363. gpsd (3.15-2) unstable; urgency=medium
  364. * Uploading to unstable
  365. -- Bernd Zeimetz <bzed@debian.org> Sat, 31 Oct 2015 20:02:31 +0100
  366. gpsd (3.15-1) experimental; urgency=medium
  367. * [10e7caf] Install contrib/* as examples.
  368. Thanks to Sanjeev Gupta (Closes: #781688)
  369. * [2d150e4] Merge tag 'upstream/3.15'
  370. Upstream version 3.15
  371. * [4163f08] snapshot changelog.
  372. * [1ea8da4] Remove libgpsd.
  373. Upstream links it statically now and I can't be bothered to maintain
  374. patches as Gentoo and others do it.
  375. The result is a slightly larger gpsd-clients package and running
  376. the binaries in parallel will waste memory.
  377. Thanks to Paul Wise & Andreas Beckmann (Closes: #779286, #781567)
  378. * [bb7a556] scons distclean doesn't work anymore.
  379. use --clean + sconsclean.
  380. * [31ff968] Refreshing patches
  381. * [5861e60] Fix broken static linking of test_gpsmm
  382. * [ef84468] Install new files.
  383. * [f9e250c] Add patch to fix regression tests for leap second bump
  384. * [65b8ac6] Updating symbols file.
  385. * [7e3d4a4] Update libqgpsmm symbols.
  386. * [785e932] _STRUCT_TIMESPEC is not defined in time.h anymore.
  387. Only linux/time.h defines _STRUCT_TIMESPEC.
  388. Check for __timespec_defined additionally.
  389. * [0b56700] Fix struct member names in timspec.
  390. * [e723fdd] Use system clock_gettime again.
  391. Fix some more broken header checks in SConstruct.
  392. -- Bernd Zeimetz <bzed@debian.org> Sat, 31 Oct 2015 20:02:07 +0100
  393. gpsd (3.12-1) experimental; urgency=medium
  394. * [9f0dfbda] Merge tag 'upstream/3.12'
  395. Upstream version 3.12
  396. * [0896c861] Refresh/update patches.
  397. * [9daccea4] Fix test_ debug tool list.
  398. * [85f4f0bb] Add patch to fix test_gpsmm.
  399. * [9c511016] Add some new symbols to the symbols file.
  400. * [30cf1b92] Add dh-python as build dependency.
  401. * [24c325f9] Bump library sonames in package names.
  402. * [a810ac32] Update libqgpsmm symbols file
  403. * [1bf373c6] Fix some lintian errors.
  404. -- Bernd Zeimetz <bzed@debian.org> Mon, 23 Feb 2015 22:37:42 +0100
  405. gpsd (3.11-3) unstable; urgency=medium
  406. [ Andreas Beckmann ]
  407. * [dd6bbdf1] avoid prompting due to modified lenny conffiles
  408. -- Bernd Zeimetz <bzed@debian.org> Sun, 25 Jan 2015 12:15:44 +0100
  409. gpsd (3.11-2) unstable; urgency=medium
  410. * [a759614c] Avoid prompting due to modified squeeze conffiles.
  411. Thanks to Andreas Beckmann (Closes: #774872)
  412. -- Bernd Zeimetz <bzed@debian.org> Thu, 08 Jan 2015 21:35:30 +0100
  413. gpsd (3.11-1) unstable; urgency=medium
  414. * [325d1900] Merge tag 'upstream/3.11'
  415. Upstream version 3.11
  416. * [8d86b938] Refreshing patches.
  417. * [877cbcf3] Update symbols file.
  418. -- Bernd Zeimetz <bzed@debian.org> Wed, 10 Sep 2014 21:59:28 +0200
  419. gpsd (3.10+dev3~d6b65b48-4) unstable; urgency=medium
  420. * [8ae93e0]] Two systemd related changes that were forgotton.
  421. - do not install the old hotplug wrapper
  422. - don't forget the @ in gpsdctl@.service.
  423. Thanks to Jeremy Lainé
  424. -- Bernd Zeimetz <bzed@debian.org> Sat, 16 Aug 2014 22:12:33 +0200
  425. gpsd (3.10+dev3~d6b65b48-3) unstable; urgency=medium
  426. * [95fcff8b] Add patch to fix PPS with large offsets.
  427. Taken from Fedora.
  428. Thanks to Miroslav Lichvar <mlichvar@redhat.com>
  429. * [27452a76] Use the Debian package version as gpsd revision.
  430. * [aca85fbe] Add full systemd hotplug and gpsd options support.
  431. gpsdctl.service idea taken from Fedora.
  432. Default gpsd.service file enhanced to read options from
  433. /etc/default/gpsd.
  434. Thanks to Miroslav Lichvar, Eduard Bloch (Closes: #741186)
  435. * [72a6a4af] Disable hotplugging of ftdi/pl2302 usb<>serial adapters.
  436. These adapters are too common to hit them with the gpsd hotplug script.
  437. (Closes: #550964, #696020)
  438. * [e60cdd47] Remove start/stop options from dh_installinit.
  439. insserv handles boot ordering these days.
  440. Thanks to Paul Wise (Closes: #751746)
  441. * [5ed9e35e] Run dh_systemd_* on the gpsd package only.
  442. Also start gpsd.service only, not gpsdctl.service.
  443. * [0e50ca3a] Remove hardening-includes.
  444. dpkg-buildflags ships the appropriate hardening flags.
  445. * [631b275e] Listen on ipv4 and ipv6.
  446. -- Bernd Zeimetz <bzed@debian.org> Sat, 16 Aug 2014 21:02:49 +0200
  447. gpsd (3.10+dev3~d6b65b48-2) unstable; urgency=medium
  448. * [7b5a9811] Set GPSD_SOCKET to the default location.
  449. Thanks to Jeremy Laine (Closes: #756488)
  450. -- Bernd Zeimetz <bzed@debian.org> Mon, 04 Aug 2014 17:19:32 +0200
  451. gpsd (3.10+dev3~d6b65b48-1) unstable; urgency=medium
  452. * [4dfc1c93] Merge tag 'upstream/3.10+dev3_d6b65b48'
  453. Upstream version 3.10+dev3~d6b65b48
  454. Fixes the FTBFS on Hurd (Closes: #738646)
  455. -- Bernd Zeimetz <bzed@debian.org> Mon, 02 Jun 2014 22:38:47 +0200
  456. gpsd (3.10+dev2~23b0752e-1) experimental; urgency=medium
  457. * [309428c3] Merge tag 'upstream/3.10+dev2_23b0752e'
  458. Upstream version 3.10+dev2~23b0752e
  459. * [d8509d0f] Refreshing patches.
  460. -- Bernd Zeimetz <bzed@debian.org> Fri, 23 May 2014 00:10:24 +0200
  461. gpsd (3.10+dev1~a33bfd44-2) unstable; urgency=medium
  462. * Upload to unstable.
  463. -- Bernd Zeimetz <bzed@debian.org> Thu, 20 Mar 2014 22:54:07 +0100
  464. gpsd (3.10+dev1~a33bfd44-1) experimental; urgency=medium
  465. * [00204bd2] Merge tag 'upstream/3.10+dev1_a33bfd44'
  466. Upstream version 3.10+dev1~a33bfd44
  467. * [8fb0bebf] Refreshing patches.
  468. * [8c230112] Updating symbols files.
  469. -- Bernd Zeimetz <bzed@debian.org> Wed, 22 Jan 2014 23:59:49 +0100
  470. gpsd (3.10-4) experimental; urgency=low
  471. * [fe9286df] Remove /etc/dfault/gpsd if it is the default debconf version.
  472. Otherwise ask the user about what to do.
  473. Thanks to Andreas Beckmann <anbe@debian.org> (Closes: #730845)
  474. -- Bernd Zeimetz <bzed@debian.org> Sun, 15 Dec 2013 17:36:42 +0100
  475. gpsd (3.10-3) experimental; urgency=low
  476. * [0230e47a] Mark shm related symbols as optional.
  477. Before we had a fixed list of architectures - too much work to maintain.
  478. Marking the shm related symbols as optional is easier - and gpsd should
  479. build fine on all architectures again - seems some more got shm support.
  480. * [9bb3eafb] Add upstream fix to make gpsd build on hurd again.
  481. -- Bernd Zeimetz <bzed@debian.org> Sat, 30 Nov 2013 01:51:04 +0100
  482. gpsd (3.10-2) experimental; urgency=low
  483. * [c7326670] Handle new /etc/default/gpsd sanely.
  484. Avoid asking users to keep the current config file version in case an
  485. older gpsd package was installed before.
  486. Also remove all special upgrade handling code for upgrades from versions
  487. pre-lenny. So gpsd upgrades from Etch directly to Jessie might fail.
  488. Thanks to Andreas Beckmann (Closes: #730680)
  489. -- Bernd Zeimetz <bzed@debian.org> Thu, 28 Nov 2013 23:43:20 +0100
  490. gpsd (3.10-1) experimental; urgency=low
  491. * [54ddafb7] Install test_* tools for autopkgtest tests.
  492. * [3610e162] Use ${binary:Version} for -dev package.
  493. It is arch:any due to multiarch requirements.
  494. * [6c9a5c07] Add versioned dependencies on libgps20.
  495. Due to libgpsd being shipped in the libgps package
  496. we need a strict dependency on the package for
  497. gpsd and gpsd-clients. Otherwise installing a
  498. backported package might result in broken gpsmon/gpsd.
  499. Thanks to narcos in #gpsd.
  500. * [6269418e] Merge tag 'upstream/3.10'
  501. Upstream version 3.10
  502. * [d4b81aa9] Removing hurd_path_max_fix, seems to be fixed by upstream.
  503. * [d26d1c6f] Get rid of debconf questions.
  504. Also provide a sane /etc/default/gpsd and move
  505. from using /var/run to /run.
  506. * [d267e21c] Run gpsd as user _gpsd in group dialout.
  507. * [dc5c4753] Allow half-automatic soname transitions.
  508. Change the packaging to rename files and update debian/control
  509. automatically when the soname changes.
  510. Obviously symbols files and co need to be fixed manually.
  511. * [64052c68] Updating debian/control from debian/control.in
  512. * [f549c100] Add patch from upstream to stop scons from removing debian/control.
  513. * [6d1ab218] Migrate to 3.0 (quilt) source format.
  514. * [d3f730da] Updating debian/control from debian/control.in
  515. * [61865d72] Add patch to stop scons from linkig everything statically.
  516. * [64c4a718] Call scons with distclean instead of -c.
  517. * [355d6a7f] Also install test_maidenhead.py in gpsd-dbg.
  518. * [4af3d11f] Do not clean test_* binaries after scons check.
  519. * [359c3e41] Also run distclean before building the static library.
  520. * [410cdb29] Ensure all test tools are being built.
  521. * [5cfb0747] Install gps2udp(1) in gpsd-clients.
  522. * [8903fd0e] Update library symbols files.
  523. * [216b031a] Run dh_python2 for usr/bin and other python script locations.
  524. * [1e536270] Remove rpath from all files, including debug files.
  525. * [8187c631] Use gpsd instead of _gpsd as user account.
  526. * [7e6dc703] Remove some left over traces of debconf.
  527. * [c97ea78b] Also change username in debian/rules.
  528. -- Bernd Zeimetz <bzed@debian.org> Sat, 23 Nov 2013 14:33:46 +0100
  529. gpsd (3.9-3) unstable; urgency=low
  530. * [75fe68f6] Add patch to work around the PATH_MAX issue on hurd.
  531. The patch was not applie dupstream and went missing on the last upload.
  532. -- Bernd Zeimetz <bzed@debian.org> Tue, 06 Aug 2013 22:26:32 +0200
  533. gpsd (3.9-2) unstable; urgency=low
  534. [ Bernd Zeimetz ]
  535. * [649f6e3b] Fix symbols file for m68k and others without unsigned long.
  536. (Closes: #718741)
  537. [ Michael Stapelberg ]
  538. * [d41eaabd] switch to dh-systemd for proper systemd maintscripts
  539. (Closes: #714199)
  540. -- Bernd Zeimetz <bzed@debian.org> Mon, 05 Aug 2013 16:23:10 +0200
  541. gpsd (3.9-1) unstable; urgency=low
  542. * [5c5616d5] Imported Upstream version 3.9
  543. * [6503bfe7] Adding pt_BR translation.
  544. Thanks to Adriano Rafael Gomes (Closes: #693375)
  545. * [f3a7edf5] Dropping all patches, applied upstream.
  546. * [105f538b] Updating changelog.
  547. * [420650f8] Merge branch 'upstream'
  548. * [d57dcc29] libgpsd bumped its soname, no transitions involved.
  549. * [d676aeb1] Update symbols files.
  550. * [bd7ffc51] Handle the situation that libgpsd has soname different from libgps.
  551. -- Bernd Zeimetz <bzed@debian.org> Sun, 19 May 2013 22:28:09 +0200
  552. gpsd (3.6-5) unstable; urgency=medium
  553. * [818fb0a6] Fixing two security bugs in gpsd
  554. - one triggered by malformed NMEA packets, making gpsd crash
  555. - the other one is a possible DOS in the AIS parser,
  556. CVE-2013-2038
  557. Thanks to Salvatore Bonaccorso (Closes: #706665)
  558. -- Bernd Zeimetz <bzed@debian.org> Fri, 03 May 2013 20:57:35 +0200
  559. gpsd (3.6-4) unstable; urgency=low
  560. * [8607cd96] Add some bugfixes from upstream.
  561. - Avoid adding devices with path names longer than
  562. GPS_PATH_MAX
  563. - Accept Freescale i.MX processor UARTs as serial port
  564. - Fix the notification of ntpd about leap seconds.
  565. * [528213ef] Update regression tests according to the leap second change.
  566. Whenever the default leap second changes in timebase.h the
  567. GPS tests will break (times one second off) and the testloads will
  568. have to be rebuilt. The problem is in the SiRF tests; that driver
  569. relies on the default until it gets the current offset from subframe
  570. data.
  571. timebase.h is being created from the leapseconds.cache file at build
  572. time. As leapseconds happen rarely, there is no support to read them
  573. from a config file included yet.
  574. -- Bernd Zeimetz <bzed@debian.org> Tue, 03 Jul 2012 21:46:21 +0200
  575. gpsd (3.6-3) unstable; urgency=low
  576. * [97970af1] Adding two bugfix patches from upstream:
  577. * handle long persistent device names
  578. * better check for endianness, this fixes rtcm2 regressions
  579. at least on s390.
  580. -- Bernd Zeimetz <bzed@debian.org> Sun, 27 May 2012 17:28:24 +0200
  581. gpsd (3.6-2) unstable; urgency=low
  582. * [4b625138] pps-tools is available on linux-any only.
  583. -- Bernd Zeimetz <bzed@debian.org> Thu, 24 May 2012 21:41:00 +0200
  584. gpsd (3.6-1) unstable; urgency=low
  585. * [13931410] Imported Upstream version 3.6
  586. * [e3ed1468] Drop old patches, add a new bugfix from upstream git.
  587. * [936babaf] Add pps-tools as build-dependency.
  588. -- Bernd Zeimetz <bzed@debian.org> Wed, 23 May 2012 20:38:16 +0200
  589. gpsd (3.5-7) unstable; urgency=low
  590. * [694d9866] Refreshing patches and picking more bugfixes from git HEAD.
  591. Including a fix for a segfaults happening in the aivdm driver after
  592. compiling it with stack-protector and gcc 4.7.
  593. * [4336fd02] Revert "Disable hardening flags."
  594. This reverts commit 8c722b60761fe405e658ba5e4f3acd040694b215.
  595. -- Bernd Zeimetz <bzed@debian.org> Tue, 22 May 2012 18:54:45 +0200
  596. gpsd (3.5-6) unstable; urgency=low
  597. * [4ee5b139] Add patches which went missing.
  598. * [8c722b60] Disable hadening flags.
  599. gpsdecode segfaults when built with gcc 4.7 with hardening flags
  600. enabled.
  601. -- Bernd Zeimetz <bzed@debian.org> Sun, 20 May 2012 22:45:20 +0200
  602. gpsd (3.5-5) unstable; urgency=low
  603. * [a6efe8a2] Revert "Removing makedev from build-dependencies."
  604. This reverts commit bc30a21b6046bb7153ce7a4e8606017231717803.
  605. makedev seems to be required on mips.
  606. * [d7d04c9b] libgps20: demote gpsd from Recommends to Suggests.
  607. There is still no nice-ish way to tell gpsd to ignore some devices from
  608. being detcted automatically. Not installing gpsd might be the better
  609. option here - please note that I'm still not convinced to keep it as
  610. 'Suggsts' - but for now it will stay there. (Closes: #662587)
  611. * [edc9db9c] Refreshing patchs and pulling more fixs from git.
  612. * [8305d5cc] Update symbols file.
  613. -- Bernd Zeimetz <bzed@debian.org> Sun, 13 May 2012 21:06:51 +0200
  614. gpsd (3.5-4) unstable; urgency=low
  615. * [bc30a21b] Removing makedev from build-dependencies.
  616. Not needed anymore.
  617. * [44599785] Pull a lot of patches from upstream.
  618. They fix at least some of the regressions on our unusual architectures.
  619. * [13f118ff] Add new ubits/sbits symbols to symbol files.
  620. -- Bernd Zeimetz <bzed@debian.org> Fri, 20 Apr 2012 19:06:41 +0200
  621. gpsd (3.5-3) unstable; urgency=low
  622. * [bfb00dff] More symbol file fixes.
  623. Hope nothing missing again.
  624. -- Bernd Zeimetz <bzed@debian.org> Mon, 16 Apr 2012 22:11:14 +0200
  625. gpsd (3.5-2) unstable; urgency=low
  626. * [ce2ef186] Fix libqgpsmm20.symbols for !amd64
  627. -- Bernd Zeimetz <bzed@debian.org> Mon, 16 Apr 2012 21:27:39 +0200
  628. gpsd (3.5-1) unstable; urgency=low
  629. * [89fd651b] Imported Upstream version 3.5
  630. - includes a patch to fix permissions on /var/run/gpsd.sock
  631. (Closes: #655504)
  632. * [9c97fe0f] Dropping SConstruct_bugfixes patch, applied upstream.
  633. * [06466618] Don't add . as target for scons -c
  634. * [5fb7dd4f] Updating libqgpsmm20.symbols.
  635. Most of the code is being built with g++ now, so symbol names have
  636. changed. This would ask for a soname bump normally, but I hope that
  637. there are only a few rare users of the library so far.
  638. -- Bernd Zeimetz <bzed@debian.org> Sun, 15 Apr 2012 12:16:00 +0200
  639. gpsd (3.4-2) unstable; urgency=low
  640. * [26984e29] Limit gps_shm_* symbols to amd64.
  641. Due to missing hardware memory barrier support they are only
  642. available on amd64 for now.
  643. -- Bernd Zeimetz <bzed@debian.org> Thu, 19 Jan 2012 23:38:51 +0100
  644. gpsd (3.4-1) unstable; urgency=low
  645. * [586a26d6] Adding patch to add udev support for ublox 6.
  646. Thanks to Matthias Cramer (Closes: #650774)
  647. * [95ad304d] Removing duplicate dpkg-dev build-dependency.
  648. * [dc598b94] Match all multi-arch directories in lintian-overrides.
  649. * [21e15bf1] Update PATH_MAX patch with the version from upstream.
  650. * [50d20a7e] Add scrpt to retrieve patches by sha.
  651. * [1fd3563d] Add some bugfixes from upstream.
  652. * [19235ec1] Add patches to incorporate the latest IERS update.
  653. * [afd06945] Add missing Requires in gpsd.service.
  654. Thanks to Eckhart Wörner (Closes: #655349)
  655. * [42fffb44] Imported Upstream version 3.4
  656. * [d8cc83c3] Dropping all patches as they were applied upstream
  657. (still updating SConstruct, though).
  658. * [782cd0ab] Update SConstruct.
  659. Taken from upstream, including a fix to avoid building Python modules
  660. with -pie/-fPIE.
  661. Thanks to Lucas Nussbaum (Closes: #655797)
  662. * [0d3308e1] gpsd: depend on netbase | systemd-sysv.
  663. Let's support the systemd fans.
  664. Thanks to Eckhart Wörner (Closes: #644429)
  665. * [461f6051] Clean leapsecond.pyc.
  666. -- Bernd Zeimetz <bzed@debian.org> Wed, 18 Jan 2012 23:27:05 +0100
  667. gpsd (3.3-5) unstable; urgency=low
  668. * [dda63e69] Applying hurd/qt related fixes to debian/control.
  669. Thanks to Pino Toscano
  670. * [140e3d04] Add patch to work around the PATH_MAX issue on hurd.
  671. Thanks again to Pino Toscano
  672. * [2cf9d701] Fix typo in gpsd(8). Thanks to lintian!
  673. -- Bernd Zeimetz <bzed@debian.org> Fri, 02 Dec 2011 20:40:50 +0100
  674. gpsd (3.3-4) unstable; urgency=low
  675. * [54b394bf] Adding some optional symbols to libqgpsmm20.symbols
  676. * [ca35e059] Fix systemd service file.
  677. Thanks to Eckhart Wörner (Closes: #640642)
  678. -- Bernd Zeimetz <bzed@debian.org> Thu, 01 Dec 2011 21:10:13 +0100
  679. gpsd (3.3-3) experimental; urgency=low
  680. * [823c8c1c] Add patch to fix FTBFS where c_ispeed is not in the
  681. termios struct.
  682. * [93b46927] Use dpkg-buildflags and add hardening includes.
  683. * [77fb545d] Add missing creation of build-stamp.
  684. * [66fc5284] Updating the projct's homepage.
  685. * [750f664e] Add support for multi-arch to the library-packages.
  686. * [4c8f4d4b] gpsd should conflict with fso-gpsd, too.
  687. * [9dd870d3] Recommend gpsd from libgps as it is usually used with
  688. the daemon.
  689. * [49b76353] Mark gpsd as Multi-Arch: foreign.
  690. * [b39d977d] Fix libdir handling with yet another SConstruct update.
  691. * [60a5c7b6] Ensure CFLAGS/LDFLAGS/... are passed to scons.
  692. * [ab65f568] libqgpsmm-dev needs to be arch:any for multiarch.
  693. * [31786978] Ignore libgpsd for shlibs/symbols generation.
  694. This also works around dpkg-gensymbols ignoring the -e option.
  695. * [c7fcaf8b] Updating lintian-overrides for libgpsd.
  696. * [bfbca8e2] Replace manpage with .so link with a symlink.
  697. * [bbc14b7c] Disable the default start of gpsd at boot time.
  698. Let udev handle it.
  699. -- Bernd Zeimetz <bzed@debian.org> Sat, 19 Nov 2011 12:45:53 +0100
  700. gpsd (3.3-2) experimental; urgency=low
  701. * [3c956714] Add python-cairo as dependency of gpsd-clients.
  702. * [17bf12aa] Ignore the result of the regression checks.
  703. -- Bernd Zeimetz <bzed@debian.org> Sun, 13 Nov 2011 21:32:33 +0100
  704. gpsd (3.3-1) experimental; urgency=low
  705. * [4a4e73e9] Merge branch 'master' of git://git.recluse.de/debian/pkg-gpsd
  706. * [699cdd58] Updating watch file to reflect the move to savannah.
  707. * [8e0670df] Imported Upstream version 3.3 (Closes: #647451)
  708. * [c1c77d28] Remove all patches, all applied upstream.
  709. * [914e1241] Updating SConstruct to latest versoin from git.
  710. * [d229ebde] Use dh compat level 7.
  711. * [ef9c15f7] Change build-dependencies form autotools to scons.
  712. Also require debhelper 7.
  713. * [c6f0b58c] Changelog snapshot.
  714. * [4598af00] unfinished new debian/rules file.
  715. * [3bda9f0f] Update SConstruct_bugfixes patches.
  716. * [96b5a72b] Various fixes in debian/rules.
  717. * [bdc5f23e] Current SConstruct requires scons 2.0.1
  718. * [f2dc12df] Pick some fixes from upstream:
  719. * Integrate libQgpsmm_global.h into libgpsmm.h. (Closes: #636647)
  720. * Create QT .pc/.prl files.
  721. * [310fd91b] Allow to disable checks with DEB_BUILD_OPTS
  722. * [45f6ffc9] gpsd.hotplug.wrapper does not exist anymore.
  723. * [4c093c00] Update SConstruct again.
  724. * [f3e085fc] Build Python debug extensions.
  725. * [babbcce0] Build static libgps library.
  726. * [d440261a] Ensure all rpaths are removed from ELF binaries.
  727. * [1e2a9e13] Revert "Install libQgpsmm_global.h to /usr/include."
  728. This reverts commit 4d38c0e227c96fef286e09b784a9e66cd4c7e2ca.
  729. * [94340c88] Rename symbols files.
  730. * [dad64865] Install libgps.so into libgps-dev.
  731. * [63893ebe] Add dh_install file for python-gps.
  732. * [e6695ff2] Use dh_install --fail-missing.
  733. * [14f8f038] Rename lib*gps19 to lib*gps20.
  734. * [aee30106] Ensure all files from debian/tmp are being installed.
  735. * [1c2d6540] Don't install debug files into python-gps.
  736. * [551ab0f3] Merge branch 'master' of git.recluse.de:debian/pkg-gpsd
  737. * [dcad12f6] Fix merged SConstruct patch.
  738. * [af524e52] Fix egg.info file location.
  739. * [7c1409fb] Don't install libQgpsmm into libgps20.
  740. * [17ec3d0f] Add libqgpsmm20.install file.
  741. * [811d3aad] Update symbols files and generation.
  742. Don't build symbols for libgpsd - internally used only.
  743. * [4d44e94c] Update SConstruct to avoid building leapseconds.cache
  744. * [b6f9c342] Fix package name in symbols file.
  745. * [167c26f2] Also update soname version in debian/rules.
  746. * [60e22600] Fixing W: gpsd: script-not-executable lib/udev/gpsd.hotplug
  747. * [dbe9f57f] Bumping Standards-Version to 3.9.2, no additional changes.
  748. * [4cfcfe3a] Add lintian override for libgpsd20.
  749. libgpsd20 should not be used in other applications, so we don't provide
  750. any development files and help.
  751. * [7bd1b334] Add some patches to fix lintian warnings.
  752. * [7ad23ecd] Add patch from upstream: Add socket and service info for systemd.
  753. * [3ba738ea] Install systemd service and socket files.
  754. Thanks to Eckhart Wörner (Closes: #640642)
  755. -- Bernd Zeimetz <bzed@debian.org> Fri, 11 Nov 2011 23:21:10 +0100
  756. gpsd (2.95-15) unstable; urgency=low
  757. * [3c1beb8b] Fix the broken Danish translation file.
  758. Seems the last NMUer uses mutt :)
  759. Thanks to Christian Perrier (Closes: #647805)
  760. * [41f11f7e] Remove 'start/stop script' from init script descriptions.
  761. Thanks to Tollef Fog Heen (Closes: #625535)
  762. * [e6c62cf1] Make libgps19.symbols compatible to older g++ versions.
  763. -- Bernd Zeimetz <bzed@debian.org> Sun, 06 Nov 2011 19:03:05 +0100
  764. gpsd (2.95-14) unstable; urgency=low
  765. * [cd15ce8c] Use [linux-any] instead of [!kfreebsd-* ].
  766. * [3baab888] Import isotime function in gps.gps.
  767. Thanks to Dietrich Feist (Closes: #646434)
  768. * [06edd34a] Adding a new symbol recent g++ versions seem to produce.
  769. * [49fe128a] Ack'ing NMU.
  770. Thanks to Luk Claes (Closes: #632126)
  771. -- Bernd Zeimetz <bzed@debian.org> Sat, 05 Nov 2011 09:33:36 +0100
  772. gpsd (2.95-13.1) unstable; urgency=low
  773. * Non-maintainer upload.
  774. * Don't ship .la files (Closes: #621300).
  775. * Add Danish debconf translation (Closes: #623089).
  776. * Update Dutch debconf translation (Closes: #627923).
  777. -- Luk Claes <luk@debian.org> Wed, 29 Jun 2011 20:08:09 +0200
  778. gpsd (2.95-13) unstable; urgency=low
  779. * [2cc9b878] Don't call libtool with /bin/sh as sh != bash.
  780. Thanks to Stefano Rivera (Closes: #621992)
  781. -- Bernd Zeimetz <bzed@debian.org> Tue, 28 Jun 2011 01:08:15 +0200
  782. gpsd (2.95-12) unstable; urgency=low
  783. * [698d1af4] Really fix the Python shebang issue.
  784. -- Bernd Zeimetz <bzed@debian.org> Fri, 11 Mar 2011 22:52:06 +0100
  785. gpsd (2.95-11) unstable; urgency=low
  786. * [37e64446] Add patch to avoid a segfault if the X server doesn't answer.
  787. Thanks to Timo Juhani Lindfors (Closes: #602925)
  788. * [cfe6b9ac] Cherry pick a spelling mistake fix.
  789. * [bba3fff8] Ensure that Python scripts use the default Python version.
  790. Thanks to Timo Juhani Lindfors (Closes: #617836)
  791. * [e43ca632] Move dh_clean to the end of clean commands.
  792. This ensures that debhelper logfiles are removed.
  793. * [c25e0a0f] Don't be strict about symbol files if QT is involved.
  794. * [4f4f6b5f] Add some new optional QT symbols to the library.
  795. -- Bernd Zeimetz <bzed@debian.org> Fri, 11 Mar 2011 22:01:29 +0100
  796. gpsd (2.95-10) unstable; urgency=low
  797. * [2ae11d60] Cherry-pick a fix for /lib/udev/gpsd.hotplug.wrapper.
  798. It fixes the problem that the wrapper needed a gpsd socket to start gpsd.
  799. Thanks to Frédéric Boiteux (Closes: #603025)
  800. -- Bernd Zeimetz <bzed@debian.org> Sat, 19 Feb 2011 12:58:40 +0100
  801. gpsd (2.95-9) unstable; urgency=low
  802. * [979fcdf3] Make QT symbols optional in the symbols file. (Closes: #605833)
  803. * [09f64fb5] Run dh_autoreconf to reconfigure automake and friends.
  804. * [13e861d9] Add dh_buildinfo information to the debug package.
  805. * [40d19cf2] Add patch to fix a missing symbol reference. (Closes: #605835)
  806. * [17af8fa9] Migrating from python-support to dh_python2.
  807. * [77dab448] Use -a instead of -s on debhelper calls.
  808. -a is euqally smart now and dh_python2 doesn't implement -s.
  809. * [1605f83d] Ensure dh_python2 handles /lib/udev/gpsd.hotplug
  810. * [cbb6e2a7] Recommend python for gpsd as workaround.
  811. dh_python2 ignores scripts due to a programming error.
  812. -- Bernd Zeimetz <bzed@debian.org> Thu, 17 Feb 2011 19:27:30 +0100
  813. gpsd (2.95-8) unstable; urgency=low
  814. * [b6aae9a2] Stripping unnecessary options/comments from
  815. debian/gbp.conf
  816. * [405de6db] Add patch to fix a SEGV when receiving short aivdm
  817. message type 26. (Closes: #603439) - thanks to Nirgal Vourgère
  818. -- Bernd Zeimetz <bzed@debian.org> Tue, 16 Nov 2010 20:26:10 +0100
  819. gpsd (2.95-7) unstable; urgency=low
  820. * [0990a703] Ensure that regression tests run once only.
  821. * [e90a807c] Adding a patch to fix a segfault in cgps.
  822. -- Bernd Zeimetz <bzed@debian.org> Mon, 04 Oct 2010 23:58:54 +0200
  823. gpsd (2.95-6) unstable; urgency=low
  824. * [928249f4] Disable testregress on hurd instead of disabling it
  825. everywhere else.
  826. * [95558a3b] Adding a patch to fix some identation errors in Python
  827. scripts/modules.
  828. -- Bernd Zeimetz <bzed@debian.org> Sun, 29 Aug 2010 21:59:25 +0200
  829. gpsd (2.95-5) unstable; urgency=low
  830. * [2b352879] Print config.log if configure was not successful.
  831. * [55d159a5] Use pkg-config to retrieve the linking options for
  832. libusb-1.0.
  833. -- Bernd Zeimetz <bzed@debian.org> Thu, 05 Aug 2010 11:32:41 +0200
  834. gpsd (2.95-4) unstable; urgency=low
  835. * [e8974d54] Avoid running 'make testregress' in the fakeroot
  836. environment.
  837. * [c2cbc5cb] Disable regression tests on hurd due to weird ipv6
  838. errors.
  839. * [810ae224] Force Python scripts to be installed with python. This
  840. ensures that the scripts' shebangs point to /usr/bin/python instead
  841. of python2.X (Closes: #591667) - thanks to Steven Chamberlain
  842. * [ef74ca9c] Add patch to avoid waiting for filesystems in the hotplug
  843. wrapper. (Closes: #591324) - thanks to Jean-Luc Coulon
  844. -- Bernd Zeimetz <bzed@debian.org> Thu, 05 Aug 2010 01:23:33 +0200
  845. gpsd (2.95-3) unstable; urgency=low
  846. * [a708cb3e] Install the new xgpsspeed into gpsd-clients. This went
  847. forgotton until now unfortunately.
  848. * [2af42abb] Also libbluetooth-dev is not available on hurd.
  849. -- Bernd Zeimetz <bzed@debian.org> Fri, 16 Jul 2010 11:55:52 +0200
  850. gpsd (2.95-2) unstable; urgency=low
  851. * [b5f5b537] Add two patches from upstream to fix the json output.
  852. * [98f19484] Work around different QT symbols. QT produces different
  853. symbols depending on platform and QT version. Use (c++) style
  854. symbols and make some of them optional.
  855. * [07979908] Ship gpsd.php as example in gpsd-clients. Not sure if
  856. thats the best place to do so, but for now it will work. (Closes:
  857. #581864) - thanks to Jaap Winius
  858. * [acb9f48d] libusb is not available on hurd. Update Build-Depends and
  859. debian/rules accordingly.
  860. * [2999a1ad] libbluetooth-dev is not available on kfreebsd. Update
  861. Build-depends and debian/rules accordingly.
  862. * [c4e7e243] Use ${python:Depends} in gpsd's Recommends.
  863. -- Bernd Zeimetz <bzed@debian.org> Fri, 16 Jul 2010 01:12:00 +0200
  864. gpsd (2.95-1) unstable; urgency=low
  865. * [0d95785d] Fix spelling error in changelog: libusv -> libusb.
  866. * [d9843485] Add pkg-config as dependency to libgps-dev.
  867. * [a98f04f7] We need libusb 1.0.0 or later.
  868. * [8dd45af1] Merge commit 'upstream/2.95'
  869. * [76b33dfd] Add new build-dependencies and package for libqgpsmm.
  870. * [33adc3de] Remove patches which were applied upstream.
  871. * [b7b67af3] Add patches to build pkg_config and prl files for
  872. libQgpsmm.
  873. * [026d1716] Add libqgpsmm-dev package description to debian/control.
  874. * [e7ee7548] Install libqgpsmm19/-dev files into their packages.
  875. * [f13517c7] Enable experimental Bluez support
  876. * [1232539e] Provide LIBUSB_LDFLAGS to work around a bug in the auto
  877. detection.
  878. * [1095d27b] Fix lib version handling to work with the current
  879. version.
  880. * [472f1bd4] Update po files as requested by debconf-updatepo.
  881. * [c02f2aac] Remove symbols files for different architectures. The
  882. symbols are equal on all arches since some time, no need for them
  883. anymore.
  884. * [71f1543d] Updating symbols file.
  885. * [9957b838] Add symbols file for libqgpsmm19.
  886. * [7518cab1] Run regress-driver via UDP as a test.
  887. * [a665e097] Add bc as build-dependency as it is used by regress-
  888. driver.
  889. * [6f820c15] Actually build arch-indep packages.
  890. * [6f31cbad] Bumping Standards-Version to 3.9.0, no changes needed.
  891. * [2faf3d23] Move xgpsspeed into the gpsd-clients package.
  892. -- Bernd Zeimetz <bzed@debian.org> Thu, 15 Jul 2010 14:46:02 +0200
  893. gpsd (2.94-2) unstable; urgency=low
  894. * [fbf3a00f] Build Python scripts with 'python' first.
  895. * [997bbb72] Add libusb-dev as build dependency.
  896. * [325a0fe8] Although not necessary any more, start gpsd before ntp.
  897. * [79029259] python-gps needs to conflict with python-json.
  898. * [e42b75ed] Backport Python related changes/fixes from git master.
  899. -- Bernd Zeimetz <bzed@debian.org> Mon, 10 May 2010 01:02:23 +0200
  900. gpsd (2.94-1) unstable; urgency=low
  901. * [3d0e6783] Merge commit 'upstream/2.93'
  902. * [f59e0254] Updating patches for the new upstream version.
  903. * [51fb722a] Merge commit 'upstream/2.94'
  904. * [baf251fd] Add python-gtk2 as dependency of gpsd-clients.
  905. * [3db586ad] Adding patch to fix missing definition of MAKE in
  906. setup.py clean.
  907. * [ffbcd0c0] Allow setup.py clean to fail as it needs to be patched to
  908. work.
  909. * [a3215888] Add patch to fix linking of libgpsd.
  910. * [64d6d97d] Install libgpsd into libgps(-dev).
  911. * [1a82a76e] Update symbols file after the library split.
  912. * [a37176ee] Don't install -dev files of libgpsd. Upstream does not
  913. want to expose the library more than necessary. So we remove/do not
  914. install all related files.
  915. * [c1f8fc05] Don't install xgps into the python-gps package.
  916. * [46c6bca9] Add patch to fix version detection in setup.py.
  917. -- Bernd Zeimetz <bzed@debian.org> Fri, 23 Apr 2010 03:02:20 +0200
  918. gpsd (2.92-4) unstable; urgency=medium
  919. * [8fcedc1e] gpsd: Move python to Recommends python is only needed
  920. when udev is used, udev is in Recommends only, so it does not make
  921. much sense to have Python in Depends.
  922. * [d0b914c1] Fix gpsd socket location parsing in gpsd.config. (Closes:
  923. #576316) - thanks to Sascha Silbe
  924. * [7325341a] Include gpsctl manpage in gpsd-clients.
  925. * Keeping the medium urgency as the package was kept out of the
  926. archive due to the breakage of ries/ftp-master.debian.org.
  927. -- Bernd Zeimetz <bzed@debian.org> Tue, 06 Apr 2010 13:14:41 +0200
  928. gpsd (2.92-3) unstable; urgency=medium
  929. * [82dc8560] Pick bugfix from upstream. Actually close the daemon
  930. socket in a library close()
  931. Medium urgency as this bug affects all applications which use
  932. libgps.
  933. -- Bernd Zeimetz <bzed@debian.org> Thu, 01 Apr 2010 22:08:55 +0200
  934. gpsd (2.92-2) unstable; urgency=low
  935. * [554ff5f1] Remove libxt-dev, lesstif2-dev, libxaw7-dev from Build-
  936. Deps. This is necessary to allow gpsd to go into Ubuntu main.
  937. Unfortunately there is no working xgpsspeed replacement right now,
  938. but this will change again in the future.
  939. * [26946196] Install only listed files into the gpsd-clients package.
  940. * [0642fc20] Remove all occurences of xgpsspeed.
  941. * [83002c3e] Handle Breaks: udev for gpsd in Debian.
  942. * [f11f44a5] Delete default_units patch, not needed anymore.
  943. * [3723afb4] Add patch from svn r7029 to fix the Python gps
  944. excerciser. The non-streaming function failed before as the query
  945. function was removed. (Closes: #569703, #562204) - thanks to Travis
  946. Hampton and Timo Juhani Lindfors
  947. * [992c4ca9] Limit packaging to source format 1.0 for now.
  948. * [411b880c] Pick several patches from upstream.
  949. - Fix for missing mode information in JSON (Closes: #573752)
  950. - Make xgps robust against JSON with no time field.
  951. - Default to the new protocol in the library as this is the default
  952. protocol the daemon uses.
  953. * [ef59451f] Ignore symbols files changes when DEB_BUILD_OPTIONS is
  954. set. Not stripping the library leaves some additional symbols, so we
  955. just ignore that when the package is being built with debug options.
  956. (Closes: #572705) - thanks to Timo Juhani Lindfors
  957. * [d94fc908] Fix a small bug in the handling of 'Breaks' for udev.
  958. -- Bernd Zeimetz <bzed@debian.org> Mon, 15 Mar 2010 11:17:55 +0100
  959. gpsd (2.92-1) unstable; urgency=low
  960. * New upstream version. The following bugs were fixed by upstream
  961. since the last upload:
  962. - Wrong test in /lib/udev/gpsd.hotplug.wrapper prevents proper device
  963. removal. Thanks to Luca Niccoli (Closes: #561574)
  964. - ATTR doesn't match in /lib/udev/rules.d/60-gpsd.rules.
  965. Thanks to Philipp Matthias Hahn (Closes: #567827)
  966. Below follows a detailed list of changes in the Debian packaging:
  967. * [85173097] Use upstream's gpsd.hotplug.wrapper.
  968. * [d83cdf70] Updating debconf translation: ca.po (Closes: #562717) -
  969. thanks to Jordà Polo
  970. * [c06f0bcb] Updating debconf translation: fr.po (Closes: #564877) -
  971. thanks to Christian Perrier
  972. * [c4ca2af7] Updating debconf translation: vi.po (Closes: #569656) -
  973. thanks to Clytie Siddall
  974. * [b901c8ac] Updating po files according to the fixed template.
  975. * [238680d1] Drop xgps related patches as it is written in Python now.
  976. * [08ce719f] Don't install xgps.ad anymore.
  977. * [baec0c9d] Imported Upstream version 2.91
  978. * [3c5c96a1] Work around autotools trying to handle Python stuff.
  979. * [8a19e205] Update gpsd-dbg.install to list the new Python dbg
  980. modules.
  981. * [58a72a9b] gps.py is in the gps module now, update debian/rules
  982. accordingly.
  983. * [0293e4f3] Updating symbols file for libgps19.
  984. * [441f05fb] Don't install gpsd-client binaries in two packages.
  985. * [0a6eb429] Require python-gps from gpsd-clients for xgps.
  986. * [cf61c2ab] Bump Standards-Version to 3.8.4. No changes needed.
  987. * [25a5d53a] Add ${python:Depends} for gpsd-clients.
  988. * [47c910f1] Add postinst script for gpsd-clients. We need to remove
  989. the xgps config file as it is not shipped anymore.
  990. * [0cda84e5] Cleaning upstream sources from svn leftovers.
  991. * [91e1f08d] Imported Upstream version 2.92
  992. * [38feb394] Clean .so and .pyc files from the gps folder in the clean
  993. target.
  994. -- Bernd Zeimetz <bzed@debian.org> Wed, 03 Mar 2010 21:19:37 +0100
  995. gpsd (2.90.1~svn6819-1) unstable; urgency=low
  996. * SVN snapshot, uploading to unstable as it fixes
  997. the blocking issues with gps_poll.
  998. The non-blocking gps_poll was introduced while fixing
  999. an issue in gps_unpack, so this upload also
  1000. Closes: #561280
  1001. -- Bernd Zeimetz <bzed@debian.org> Wed, 16 Dec 2009 10:25:26 +0100
  1002. gpsd (2.90-2) unstable; urgency=low
  1003. * Upload to unstable.
  1004. This will also fix the following issues:
  1005. - gpsd doesn't support pipelining (Closes: #488913)
  1006. - FTBFS with binutils-gold (Closes: #554739)
  1007. -- Bernd Zeimetz <bzed@debian.org> Tue, 08 Dec 2009 13:51:27 +0100
  1008. gpsd (2.90-1) experimental; urgency=low
  1009. * New upstream release.
  1010. * [bb9c3eb5] Add Conflicts: fso-gpsd to libgps19. fso-gpsd is a mess
  1011. and not supported.
  1012. * [4b2d3b57] Merge commit 'upstream/2.90'
  1013. * [fdad4622] Work around --disable-python not being available anymore.
  1014. -- Bernd Zeimetz <bzed@debian.org> Mon, 07 Dec 2009 11:13:14 +0100
  1015. gpsd (2.90~svn6694-1) experimental; urgency=low
  1016. * SVN snapshot.
  1017. * [10b2460a] Include gps.h in Tachometer.c, needed to define UNUSED.
  1018. * [3f75872e] Merge branch 'experimental-upstream' into experimental
  1019. * [33831f96] Update gbp config for experimental.
  1020. * [476e547e] Update soname in debian/control.
  1021. * [0561c6cf] Updaing patches, dropping those which were applied
  1022. upstream.
  1023. * [d721c055] Revert "Revert "Remove workarounds for broken --disable-
  1024. python."" This reverts commit
  1025. 0e5c78b75ec0390b9317c4e8db3f9294ae9cf319. Conflicts: debian/rules
  1026. * [151e52e5] Clean up patches which were applied by upstream.
  1027. * [b9bff239] Merge branch 'experimental-upstream' into experimental
  1028. * [981b2ce1] Ship gps.1 again as the package `gps' was RMed from
  1029. Debian.
  1030. * [9674fb87] Add a Conflicts: gps for gpsd-clients. Just in case the
  1031. package is still installed somewhere.
  1032. * [6c788d8d] Clean ../gpsd_config.h.in~ in case it was left by the
  1033. build.
  1034. * [cf72c26f] Delete packaging/gpsd.spec.in.rej, was done upstream
  1035. also.
  1036. * [5eadc03b] Dropping INSTALL-description-fix. Not necessary anymore.
  1037. * [c4a1d3f1] python-gps needs python2.6 or simplejson, update Depends.
  1038. * [5e8ed26d] Do not try to install manpages via gpsd-clients.install.
  1039. * [2b598581] s/dj_installman/dh_installman/
  1040. * [1fc3151e] Update symbols files for the new soname.
  1041. * [f530af1b] Install missing manpages which were forgotten before.
  1042. * [9a964d22] Make hotplug wrapper executable.
  1043. * [06b11aa2] Add python-gps.manpages to install manpages.
  1044. -- Bernd Zeimetz <bzed@debian.org> Thu, 03 Dec 2009 21:12:54 +0100
  1045. gpsd (2.39-8) unstable; urgency=low
  1046. * [a9e9d167] Export needed variables for the hotplug script. (Closes:
  1047. #556956) - thanks to Luca Niccoli
  1048. * [254f1da4] Add a missing % which caused USB autostart to fail.
  1049. (Closes: #556954) - thanks to Luca Niccoli
  1050. * [2990d2cc] Updating debconf translation: pt.po (Closes: #556250) -
  1051. thanks to "Traduz - Portuguese Translation Team"
  1052. * [dc6305e7] Updating debconf translation: sv.po (Closes: #556580) -
  1053. thanks to Martin Bagge
  1054. * [6066918d] Add missing : in po files and unfuzzy them.
  1055. -- Bernd Zeimetz <bzed@debian.org> Wed, 18 Nov 2009 17:39:31 +0100
  1056. gpsd (2.39-7) unstable; urgency=low
  1057. [ Bernd Zeimetz ]
  1058. * [bda49bd9] Bumping Standards-Version to 3.8.3. No changes needed.
  1059. * [cdf3c74c] Fix hotplug script environment patch to ensure that
  1060. 'None' is not passed as gpsd option.
  1061. * [67cde41b] Don't check for "$START_DAEMON" = "true" in
  1062. gpsd.hotplug.wrapper anymore.
  1063. * [c4fb8bab] Go trough all debconf questions if the daemon is started
  1064. at boot *or* USB autodetection is enabled.
  1065. * [f929f33f] Add dbus to 'Suggests' of gpsd.
  1066. * [9dd1656f] Rewriting gpsd.init completely. The new start-stop-daemon
  1067. options should ensure that gpsd is stopped definitely, hopefully
  1068. this fixes an upgrade problem which was reported on Launchpad. (LP:
  1069. #468915) - thanks to Walter Wittel
  1070. * [376285e7] Updating gpsd.templates after review. - thanks to Justin
  1071. B Rye
  1072. * [e5d5e1f7] Updating po files for new gpsd.templates.
  1073. * [6e23af3e] Update po files after running debconf-updatepo.
  1074. * [691c564c] Add missing : to the control path question.
  1075. * [8da65d0a] Running debconf-updatepo again.
  1076. [ Esko Arajärvi ]
  1077. * [77a66dc2] Updating debconf translation: fi.po (Closes: #554478)
  1078. [ Kenshi Muto ]
  1079. * [389d8f08] Updating debconf translation: ja.po (Closes: #554576)
  1080. [ dooteo ]
  1081. * [400eada8] Updating debconf translation: eu.po (Closes: #554540)
  1082. [ Ivan Masár ]
  1083. * [67146d71] Updating debconf translation: sk.po (Closes: #554681)
  1084. [ Luca Monducci ]
  1085. * [c52ba7fa] Updating debconf translation: it.po (Closes: #555117)
  1086. [ Eddy Petrișor ]
  1087. * [afb4ef0b] Updating debconf translation: ro.po (Closes: #555464)
  1088. [ Thomas Mueller ]
  1089. * [9f7c21e9] Updating debconf translation: de.po (Closes: #555840)
  1090. [ Miroslav Kure ]
  1091. * [e4246738] Updating debconf translation: cs.po (Closes: #555894)
  1092. [ Francisco Javier Cuadrado ]
  1093. * [3a72944f] Updating debconf translation: es.po (Closes: #556035)
  1094. [ Yuri Kozlov ]
  1095. * [4beef045] Updating debconf translation: ru.po (Closes: #556193)
  1096. [ marce ]
  1097. * [325806a3] Updating debconf translation: gl.po (Closes: #555453)
  1098. -- Bernd Zeimetz <bzed@debian.org> Sat, 14 Nov 2009 21:43:26 +0100
  1099. gpsd (2.39-6) experimental; urgency=low
  1100. [ Christian Perrier ]
  1101. * [fe381184] Updating debconf translation: fr.po (Closes: #540502)
  1102. [ Jordà Polo ]
  1103. * [2c23a9a6] Updating debconf translation: ca.po (Closes: #544101)
  1104. [ Clytie Siddall ]
  1105. * [49af80a6] Updating debconf translation: vi.po (Closes: #548020)
  1106. [ Bernd Zeimetz ]
  1107. * [35fe08a1] Correct dependencies in init.d LSB header. (Closes:
  1108. #548552) - thanks to Petter Reinholdtsen <pere@hungry.com>
  1109. * [c3e1a9a0] Move socket location out of the normal daemon options.
  1110. Also make it much harder for the user to create a broken
  1111. configuration, this should fix some of the bugs reported on debconf
  1112. running into trouble. (Closes: #546894) (LP: #423629, #423629)
  1113. * [887a9c32] Don't use hardcoded paths in gpsd.hotplug.
  1114. * [8305f777] Use environment from /etc/default/gpsd in hotplug script.
  1115. (Closes: #542386) - thanks to Joerg Dorchain <joerg@dorchain.net>
  1116. * [309f9c95] Rename DAEMON_OPTS to GPSD_OPTIONS.
  1117. * [cbc56721] Remove bashism from gpsd.hotplug.wrapper.
  1118. * [3481f700] Make gpsd.config even more simple, try to do the right
  1119. thing automatically.
  1120. * [0ec26652] Updating po files.
  1121. -- Bernd Zeimetz <bzed@debian.org> Sun, 01 Nov 2009 21:49:21 +0100
  1122. gpsd (2.39-5) unstable; urgency=low
  1123. [ Thomas Mueller ]
  1124. * [c884a6d0] Updating debconf translation: de.po (Closes: #538900)
  1125. [ Bernd Zeimetz ]
  1126. * [26d4a13e] gpsd.init: Move bluetooth to Should-Start - thanks to
  1127. Carsten Einig
  1128. * [7113becd] Add missing macro UNUSED to gpsd.h. (LP: #396256) -
  1129. thanks to Dennis Nienhüser
  1130. -- Bernd Zeimetz <bzed@debian.org> Thu, 30 Jul 2009 13:31:32 +0200
  1131. gpsd (2.39-4) unstable; urgency=low
  1132. * [51e8dea3] Updating git-dch settings in git-bp config.
  1133. * [35f17def] Updating debconf translation: cs.po (Closes: #534958) -
  1134. thanks to Miroslav Kure
  1135. * [c1917386] Updating debconf translation: eu.po (Closes: #535038) -
  1136. thanks to Piarres Beobide
  1137. * [4b6719c3] Updating debconf translation: ja.po (Closes: #535067) -
  1138. thanks to Kenshi Muto
  1139. * [b188ed05] Updating debconf translation: fi.po (Closes: #535112) -
  1140. thanks to Esko Arajärvi
  1141. * [ae2b44fe] Updating debconf translation: ro.po (Closes: #535121) -
  1142. thanks to Eddy Petrișor
  1143. * [0d989720] Updating debconf translation: sv.po (Closes: #535149) -
  1144. thanks to Martin Bagge / brother
  1145. * [413b36ab] Updating debconf translation: sk.po (Closes: #535157) -
  1146. thanks to helix84@centrum.sk
  1147. * [ca978d4f] Updating debconf translation: es.po (Closes: #536239) -
  1148. thanks to Francisco Javier Cuadrado
  1149. * [9efd437a] Updating debconf translation: pt.po (Closes: #536276) -
  1150. thanks to "Traduz - Portuguese Translation Team"
  1151. * [6e18a392] Updating debconf translation: ru.po (Closes: #536563) -
  1152. thanks to Yuri Kozlov
  1153. * [2c970b41] Updating debconf translation: it.po (Closes: #536596) -
  1154. thanks to Luca Monducci
  1155. * [d998da9f] Updating debconf translation: gl.po (Closes: #537427) -
  1156. thanks to marce
  1157. * [64375707] Fixing debconf prio for "brokenconfig" state. (Closes:
  1158. #536010) - thanks to Alban Browaeys <prahal@yahoo.com>
  1159. * [9d7960e6] Updating debconf-updatepo reformatted .po files.
  1160. -- Bernd Zeimetz <bzed@debian.org> Wed, 22 Jul 2009 17:57:36 +0200
  1161. gpsd (2.39-3) experimental; urgency=low
  1162. * [98418e2f] Set priority of all debconf questions to low.
  1163. * [c5d8d1f4] Set control socket option if not in DAEMON_OPTS. (Closes:
  1164. #515085) - thanks to Sascha Silbe
  1165. * [9bed6ecc] Update gpsd.templates to explain options better.
  1166. * [fc356713] Support building for Python2.6.
  1167. * [ee363122] Enable parallel build for python modules.
  1168. * [568c3961] Rise python-all-dev build-dep for --install-layout.
  1169. * [751c5138] Bump python-support build-dep to >= 0.7.1
  1170. * [1545b437] Remove workarounds for broken --disable-python.
  1171. * [59f41451] Using python in build target names.
  1172. * [dcb57ba6] Build gpsd-dbg containing the debug symbols.
  1173. * [52ac81d1] Update templates as suggested during the review. - thanks
  1174. to Justin B Rye
  1175. * [5b099fbe] Updating control file after review. - thanks to Justin B
  1176. Rye
  1177. * [03147ac2] Ensure a valid configuration in debconf. (Closes:
  1178. #515085) - thanks to Sascha Silbe
  1179. * [13db408f] Add error message to gpsd templates.
  1180. * [549e673e] Update error message in template after review.
  1181. * [73b14c74] Adding fuzzy po files after template update.
  1182. * [e1bbde15] Bail out after too many errors during config.
  1183. * [a280e182] Fix description: there is more than NMEA only.
  1184. * [6d9b16f3] Remove extra space in front of template.
  1185. * [be7b37bb] Updating fuzzy po files.
  1186. * [0e5c78b7] Revert "Remove workarounds for broken --disable-python."
  1187. * [741490b0] Adding python-all-dbg as build-dep.
  1188. * [726fc8e3] Removing extra ( in package dependency.
  1189. * [3e15f929] Lowering required python-* version to build.
  1190. * [80313e6d] Fixing various bugs in the config script.
  1191. * [5d48d2e7] Install python-dbg files to debian/tmp.
  1192. * [43c5b4f2] Install python *_d.so files into gpsd-dbg.
  1193. * [bb498598] Run dh_install after installing the python files.
  1194. * [ae083f4f] Don't install data files with python*-dbg.
  1195. * [48bf64d7] Revert "Set control socket option if not in DAEMON_OPTS."
  1196. * [9a25c1cf] Reword and fix gpsd/start_daemon template. - thanks to
  1197. Justin B Rye
  1198. * [8d652246] Require daemon autostart before asking further debconf
  1199. questions.
  1200. * [f61a73fc] Also check if gpsd was autostarted in
  1201. gpsd.hotplug.wrapper.
  1202. * [35569850] Updating po files after gpsd/start_daemon change.
  1203. * [6cbdda19] Add ~ to Debian revisions in the symbols file.
  1204. * [a2972159] Bump Standards-Version to 3.8.2 and make lintian happy.
  1205. * [edfe4196] Use debian/pyversions instead of XS-Python-Version.
  1206. * [fe7302d8] Add Vcs-Browser and Vcs-Git information.
  1207. * [d0f0b1b8] Use grep -q to avoid useless output in gpsd.config.
  1208. -- Bernd Zeimetz <bzed@debian.org> Sun, 28 Jun 2009 14:53:14 +0200
  1209. gpsd (2.39-2) unstable; urgency=low
  1210. * [765fde7b] Calculate soname and library version properly.
  1211. * [1da6bffd] Support the "status" action in the init.d script.
  1212. (Closes: #528688) - thanks to Peter Eisentraut
  1213. * [634d40b0] Make gpsd.hotplug.wrapper work with Ubuntu. (LP: #367197)
  1214. * [1a66eb21] Start gpsd after bluetooth. (LP: #359352)
  1215. * [1e5ffb92] Adding patch to fix a crash in libgpsmm.
  1216. * [ba4e66a1] Updating symbols file after fixing libgpsmm.
  1217. -- Bernd Zeimetz <bzed@debian.org> Thu, 18 Jun 2009 01:37:34 +0200
  1218. gpsd (2.39-1) unstable; urgency=low
  1219. * [44f4a445] debian/rules: Install upstream changelog, thanks to Paul
  1220. Martin (Closes: #515067).
  1221. * [edd0f8f7] debian/gbp.conf: Adding file.
  1222. * [d0d4a002] Imported Upstream version 2.39
  1223. * [376c8df9] debian/rules: Fixing FTBFS with the new python-support,
  1224. thanks to Josselin Mouette (Closes: #516235)
  1225. * [3a6804d7] debian/po: Adding Romanian translation, thanks to Eddy
  1226. Petrișor (Closes: #514081).
  1227. * [3d9cbca0] debian/control: Needed changes for udev transition.
  1228. * [5d958d9b] debian/patches/default_units: drop exec flag.
  1229. * [70489cfe] debian/control: bump libgps soname to 18.
  1230. * [c91b4914] debian/patches: Updating patches for new version.
  1231. * [f1217338] debian/rules: Add Breaks support for udev.
  1232. * [d8a810a2] debian/gpsd.config: move gpsd/autodetection to low
  1233. * [57ae764d] debian/rules: Use lsb_release -si
  1234. * [337dddcb] debian/rules: Support Python 2.6.
  1235. * [703df0da] Migrating symbols files to libgps18.
  1236. * [07f088f7] debian/rules: Be pendantic about symbol files.
  1237. * [b0280081] debian/rules: Don't require python.mk to build.
  1238. * [581ac233] debian/rules: Work around broken --disable-python.
  1239. * [522a76dd] debian/gpsd.postrm: removing old diversion parts.
  1240. * [7f422a4f] debian/gpsd.udev: Dropping file, shipped upstream.
  1241. * [65061f11] debian/rules: Install gpsd.rules for udev.
  1242. * [cbdc4e8a] debian/patches: Install gpscat via setup.py.
  1243. * [852f0522] debian/control: Bumping Standards-Version.
  1244. * [26728c33] debian/patches: Add missing gpscat manpage.
  1245. * [a99dfede] debian/rules: More workarounds for --disable-python.
  1246. * [74a4ad5b] debian/rules: Use configure-stamp instead of
  1247. config.status.
  1248. * [3be45988] debian/rules: Build gpscat.1 for Python.
  1249. * [9063e762] debian/rules: Delete Python manpages form clients
  1250. package.
  1251. * [24c96c32] debian/patches: Install gpscat manpage.
  1252. -- Bernd Zeimetz <bzed@debian.org> Wed, 08 Apr 2009 01:57:53 +0200
  1253. gpsd (2.38-1) unstable; urgency=low
  1254. * New Upstream Version
  1255. * Replacing the dpatch patch system by quilt.
  1256. * Dropping debian/patchts/gpsfake-identation.dpatch,
  1257. patch applied by upstream.
  1258. * debian/libgps17.symbols.common: Updating symbols file to the
  1259. current version. The rtcm symbols were renamed to rtcm2. As they
  1260. are not used by anyting but gpsd normally, upstream decided not to
  1261. bump the soname.
  1262. * debian/rules: remove .deps and .libs in the clean target.
  1263. * debian/README.source: Adding file as required by policy.
  1264. * debian/control: Bumping Standards-Version to 3.8.0.
  1265. -- Bernd Zeimetz <bzed@debian.org> Wed, 11 Feb 2009 01:02:22 +0100
  1266. gpsd (2.37-6) unstable; urgency=low
  1267. * debian/po:
  1268. translation updates:
  1269. - es.po, thanks to Ana Guerrero
  1270. new translations:
  1271. - it.po, thanks to Luca Monducci (Closes: #494305)
  1272. - fi.po, thanks to Esko Arajärvi (Closes: #493257)
  1273. - ru.po, thanks to Yuri Kozlov (Closes: #493146)
  1274. -- Bernd Zeimetz <bzed@debian.org> Wed, 13 Aug 2008 23:46:51 +0200
  1275. gpsd (2.37-5) unstable; urgency=low
  1276. * debian/gpsd.udev:
  1277. - Adding hotplug support for the Holux m241 (and probably others).
  1278. * debian/po translation updates:
  1279. - sv.po, thanks to "brother" (Closes: #491765)
  1280. * debian/copyright:
  1281. - Adding an additional line break to make lintian happy.
  1282. -- Bernd Zeimetz <bzed@debian.org> Tue, 22 Jul 2008 02:29:12 +0200
  1283. gpsd (2.37-4) unstable; urgency=low
  1284. * debian/po translation updates:
  1285. - ja.po, thanks to Kenshi Muto (Closes: #483505).
  1286. -- Bernd Zeimetz <bzed@debian.org> Sat, 31 May 2008 18:07:16 +0200
  1287. gpsd (2.37-3) unstable; urgency=low
  1288. * debian/rules:
  1289. - Unset LDFLAGS (and other *FLAGS which are exported to the environment by
  1290. the new dpkg) to build the python modules, otherwise they FTBFS. Thanks
  1291. to Lucas Nussbaum for the report (Closes: #475989).
  1292. -- Bernd Zeimetz <bzed@debian.org> Tue, 15 Apr 2008 00:05:03 +0200
  1293. gpsd (2.37-2) unstable; urgency=low
  1294. * debian/po translation updates:
  1295. - cs.po, thanks to Miroslav Kure (Closes: #473263).
  1296. - pt.po, thanks to "Traduz" - Portuguese Translation Team and Miguel
  1297. Figueiredo (Closes: #472838).
  1298. - fr.po, thanks to Jean-Luc Coulon (f5ibh) (Closes: #472437).
  1299. - nl.po, thanks to cobaco (aka Bart Cornelis) (Closes: #471807).
  1300. - vi.po, thanks to Clytie Siddall (vi-VN, Vietnamese free-software
  1301. translation team / nhóm Việt hóa phần mềm tự do)
  1302. (Closes: #471795).
  1303. - de.po, thanks to Alwin Meschede (Closes: #471721).
  1304. - gl.po, thanks to Jacobo Tarrio (Closes: #471092).
  1305. - ca.po, thanks to Jordà Polo (Closes: #474133).
  1306. * debian/libgps17.symbols.*
  1307. - Adding architecture dependent and c++ symbols to the symbol files.
  1308. -- Bernd Zeimetz <bzed@debian.org> Fri, 04 Apr 2008 23:31:03 +0200
  1309. gpsd (2.37-1) unstable; urgency=low
  1310. * New upstream version.
  1311. * debian/gpsd.templates:
  1312. - Adding question about USB autodetection. The file was reviewed and
  1313. corrected on debian-l10n-english@lists.debian.org - thanks to
  1314. Christian Perrier, MJ Ray and Justin B Rye.
  1315. * debian/gpsd.config, debian/gpsd.postinst:
  1316. - Ask for USB autodetection if the Daemon is started at boot.
  1317. Write /etc/default/gpsd accordingly.
  1318. * debian/gpsd.hotplug.wrappper:
  1319. - Exit gracefully if hotplugging is disabled in /etc/default/gpsd.
  1320. * debian/rules, debian/gpsd.udev:
  1321. - Ignore non-existing setup.py in the clean target.
  1322. - Installing udev rules again, also remove the old udev rules
  1323. symlink /etc/udev/rules.d/025_gpsd.rules, if it still exists
  1324. (Closes: #455036).
  1325. * debian/gpsd.examples:
  1326. - Deleting file, the example udev rules are installed by default now.
  1327. * debian/NEWS.Debian debian/gpsd.README.Debian:
  1328. - Deleting files, no extra information included anymore.
  1329. -- Bernd Zeimetz <bzed@debian.org> Sat, 15 Mar 2008 16:56:43 +0100
  1330. gpsd (2.37~rc1-1) unstable; urgency=low
  1331. * New upstream release candidate, including C++ support again
  1332. (Closes: #458576).
  1333. * debian/rules:
  1334. - A bit of housekeeping and cruft removal.
  1335. * debian/libgps-dev.install:
  1336. - File added (instead of handling this in debian/rules).
  1337. * debian/patches:
  1338. - garmin-usb-fix.dpatch, gpxlogger-gps.h.dpatch,
  1339. gpsd_dbus.h-buildfix.dpatch: Removed, integrated upstream.
  1340. * debian/libgps17.symbols:
  1341. - File updated. ignoring C++ related symbols for now as they should be
  1342. arch-dependent. Will be added after the package was built on all arches.
  1343. * debian/watch:
  1344. - Adding uversionmangle as upstream's X.YrcZ versions are greater than the
  1345. later X.Y version, so rewrite X.YrcZ to X.Y~rcZ.
  1346. -- Bernd Zeimetz <bzed@debian.org> Sun, 17 Feb 2008 16:38:19 +0100
  1347. gpsd (2.36-2) unstable; urgency=low
  1348. * debian/patches:
  1349. - Adding garmin-usb-fix.dpatch (r4656 from svn) to fix the broken Garmin
  1350. USB driver. Thanks to P.C. Chan for the help to find the breakage.
  1351. (Closes: #457684)
  1352. -- Bernd Zeimetz <bzed@debian.org> Sun, 13 Jan 2008 11:49:55 +0100
  1353. gpsd (2.36-1) unstable; urgency=low
  1354. * New upstream release.
  1355. * debian/control:
  1356. - Updating/adding versioned build-deps on debhelper and dpkg-dev to ensure
  1357. that debian/package.symbols files are supported.
  1358. * debian/rules:
  1359. - Removing the call of dpkg-gensymbols as this is handled by dh_makeshlibs
  1360. now.
  1361. * debian/libgps17.symbols:
  1362. - Removing the Debian revision from the minimal version number.
  1363. - Adding the symbol garmintxt_parse@Base which was introduced in 2.36.
  1364. * debian/patches:
  1365. - Removing gpsfake-logfile-howto.dpatch and gpsfake-gpsd-path.dpatch -
  1366. integrated upstream.
  1367. -- Bernd Zeimetz <bzed@debian.org> Wed, 02 Jan 2008 10:51:40 +0100
  1368. gpsd (2.35-3) unstable; urgency=low
  1369. * debian/patches:
  1370. - Updating gpsfake-gpsd-path.dpatch to let gpsfake exit gracefully if
  1371. gpsd is not found. Based on a patch by Andreas Putzo.
  1372. -- Bernd Zeimetz <bzed@debian.org> Wed, 26 Dec 2007 01:33:42 +0100
  1373. gpsd (2.35-2) unstable; urgency=low
  1374. * debian/control:
  1375. - Adding gpsd to Recommends for python-gps, thanks to Andreas Putzo
  1376. (Closes: #456929).
  1377. * debian/patches:
  1378. - Adding gpsfake-gpsd-path.dpatch to hardcode the path to gpsd into
  1379. gpsfake.py as /usr/sbin is not in the normal user's path. Thanks again
  1380. to Andreas Putzo (Closes: #456928).
  1381. -- Bernd Zeimetz <bzed@debian.org> Tue, 18 Dec 2007 16:34:04 +0100
  1382. gpsd (2.35-1) unstable; urgency=low
  1383. * New upstream version, including several bugfixes for bugs reported by
  1384. Steinar H. Gunderson (Closes: #410133, #410138, #410132).
  1385. * The license of Tachometer.c was fixed by upstream, so we're able to build
  1386. and ship xgpsspeed again.
  1387. * debian/patches:
  1388. - Dropping the following patches as they are not needed anymore:
  1389. Tachometer.c-removal.dpatch, python-setup.dpatch,
  1390. no-xgpsspeed-manpage.dpatch, gps.h-fix.dpatch, libgpsmm.h-fix.dpatch
  1391. - Adding gpsd_dbus.h-buildfix.dpatch to fix a build failure.
  1392. * debian/libgps17.symbols, debian/rules:
  1393. - Adding symbosl file and running dpkg-gensymbols.
  1394. * debian/control:
  1395. - Bumping Standards-Version to 3.7.3.
  1396. -- Bernd Zeimetz <bzed@debian.org> Mon, 17 Dec 2007 21:52:10 +0100
  1397. gpsd (2.34.dfsg-6) unstable; urgency=low
  1398. * debian/patches:
  1399. - Adding libgpsmm.h-fix.dpatch: There's no need for libgpsmm.h to include
  1400. gpsd_config.h. This finally closes a bug which was supposed to be fixed
  1401. the right way before (Closes: #447653).
  1402. -- Bernd Zeimetz <bzed@debian.org> Wed, 05 Dec 2007 23:06:29 +0100
  1403. gpsd (2.34.dfsg-5) unstable; urgency=low
  1404. * debian/po updates:
  1405. - Catalan translation, thanks to Jordà Polo (Closes: #452691).
  1406. - Vietnamese translation, thanks to Clytie Siddall (Closes: #453413).
  1407. * debian/patches:
  1408. - Adding gps.h-fix.dpatch to remove some autotools guards in gps.h,
  1409. allowing to use the header file without gpsd_config.h again. Also
  1410. removing include_headers.dpatch as it is not needed anymore due to the
  1411. real fix. Thanks to Petter Reinholdtsen for the bug report
  1412. (Closes: #448837).
  1413. * debian/control:
  1414. - Updating my email address.
  1415. - Bumping Standards-Version to 3.7.3.
  1416. -- Bernd Zeimetz <bzed@debian.org> Wed, 05 Dec 2007 22:37:14 +0100
  1417. gpsd (2.34.dfsg-4) unstable; urgency=low
  1418. * debian/control:
  1419. - Adding Conflicts to libgps-dev, thanks to Jordà Polo (Closes: #448349).
  1420. - Changing python-gps' Conflicts to Replaces as it is save to install the
  1421. more recent python extensions together with older gpsd(-clients)
  1422. packages.
  1423. * debian/po updates:
  1424. - Galician translation, thanks to Jacobo Tarrio. (Closes: #447933).
  1425. - Portuguese translation, thanks to "Traduz" - Portuguese Translation Team
  1426. and Miguel Figueiredo (Closes: #448387).
  1427. - Swedish translation, thanks to Daniel Nylander.
  1428. - Durch translation, thanks to cobaco (aka Bart Cornelis)
  1429. (Closes: #451291).
  1430. - Japanese translation, thanks to Kenshi Muto (Closes: #448681).
  1431. - Czech translation, thanks to Miroslav Kure (Closes: #449264).
  1432. - German translation, thanks to Alwin Meschede (Closes: #449279).
  1433. -- Bernd Zeimetz <bernd@bzed.de> Sun, 04 Nov 2007 19:34:10 +0100
  1434. gpsd (2.34.dfsg-3) unstable; urgency=low
  1435. * debian/control:
  1436. - Adding Provides: ${python:Provides} as required by the new Python
  1437. policy.
  1438. * debian/patches:
  1439. - Adding include_headers.dpatch to include gpsd_config.h into the
  1440. libgps-dev package. Thanks to Matthew Rosewarne. (Closes: #447653)
  1441. * debian/po:
  1442. - French translation update, thanks to Christian Perrier.
  1443. (Closes: #447428)
  1444. -- Bernd Zeimetz <bernd@bzed.de> Mon, 22 Oct 2007 23:36:56 +0200
  1445. gpsd (2.34.dfsg-2) unstable; urgency=low
  1446. * debian/gpsd.templates:
  1447. - Updating the manpage category of gpsd, thanks to Thijs Kinkhorst for the
  1448. hint.
  1449. * debian/patches:
  1450. - Adding INSTALL-description-fix.dpatch, clarifying which device gpsd uses
  1451. by default. Thanks to Dan Jacobson for reporting. (Closes: #329267)
  1452. - Adding no-gps-manpage.dpatch to reflect that gps.1 is renamed to xgps.1
  1453. due to a name clash with the gps package.
  1454. - Adding gpsfake-logfile-howto.dpatch which adds a comment about creating
  1455. a logfile which is suitable for the use with gpsfake. Thanks to
  1456. Dan Jacobson again. (Closes: #329266)
  1457. * debian/rules:
  1458. - We need to use dh_installman to install xgps.1 now, more easy than
  1459. patching Makefile.*
  1460. -- Bernd Zeimetz <bernd@bzed.de> Fri, 19 Oct 2007 22:51:01 +0200
  1461. gpsd (2.34.dfsg-1) unstable; urgency=low
  1462. * Hijacking the package as announced on debian-devel@lists.d.o
  1463. in <470DEE3C.80603@bzed.de> due to the old maintainer being MIA.
  1464. * New upstream version
  1465. * Removing Tachometer.c due to an unclear licensing, this introduces
  1466. .dfsg to the version number and results in not being able to build
  1467. xgpsspeed.
  1468. * Building new packages:
  1469. - python-gps containing the python modules, this also fixes a bug
  1470. complaining about missing python-support (Closes: #413925)
  1471. - Splitting libgps and the according devel files in separate packages
  1472. (Closes: #295375)
  1473. * Installing gpsd in /usr/sbin again. gpsd is a system daemon and only
  1474. rarely used as user command.
  1475. * Auto discovery of USB GPS devices is disabled by default now, as the USB
  1476. devices use nothing but a standard usb to serial converter. This resulted
  1477. in trouble if you wanted to use a normal serial converter without attached
  1478. GPS device. A rules file is provided as example now.
  1479. (Closes: #442467, #404780)
  1480. * debian/compat:
  1481. - Bumping to level 5
  1482. * debian/control:
  1483. - Updating the Maintainer field
  1484. - Adding Homepage field, removing pseudo fields from descriptions
  1485. - Cleaning up descriptions in general
  1486. - Adding informations for the new packages
  1487. * debian/copyright:
  1488. - Reworking the whole file
  1489. * debian/gpsd.docs:
  1490. - Removing AUTHORS (listed in the copyright file) and HACKING (file does
  1491. not exist anymore)
  1492. * debian/gpsd.init:
  1493. - Changing warnings to make gpsd more quiet if it's not automatically
  1494. startet at bootup, thanks to Kiro Zimmer (Closes: #395297).
  1495. - Reflecting the change in gpsd's location.
  1496. * debian/gpsd.templates:
  1497. - Replacing the question for gpsd/device by a title, fixing a lintian
  1498. warning
  1499. * debian/gpsd.{postrm,preinst}:
  1500. - Remove existing diversions of gpsd while upgrading.
  1501. Thanks to Andreas Putzo (Closes: #446780).
  1502. * debian/patches:
  1503. - General cleanup, removing obsolete patches, adding several new patches
  1504. to suit the new version and packaging.
  1505. * debian/po:
  1506. - Adding several new translations, thanks to
  1507. * cobaco (aka Bart Cornelis) - Dutch translation (Closes: #415519)
  1508. * Rudy Godoy Guillén - Spanish translation (Closes: #426172)
  1509. * Kenshi Muto - Japanese translation (Closes: #412507)
  1510. * debian/rules:
  1511. - Rewriting file completely. This also introduces new files to the
  1512. packaging (debian/{gpsd,gpsd-clients}.install, debian/gpsd.examples)
  1513. and removes several unused/obsolete files:
  1514. (debian/{remove_rpath.sh,gpsd-clients.docs}, debian/*.dirs,
  1515. debian/gpsd.lintian-overrides).
  1516. * debian/watch, debian/dfsg-clean.sh:
  1517. - Adding files to watch for upstream versions and handle the removal of
  1518. non-free material automatically.
  1519. -- Bernd Zeimetz <bernd@bzed.de> Tue, 16 Oct 2007 14:49:34 +0200
  1520. gpsd (2.33-5) unstable; urgency=low
  1521. * debian/control:
  1522. - add build-dependency on autotools-dev
  1523. [ Christian Perrier ]
  1524. * debconf templates:
  1525. - all PO files converted to UTF-8
  1526. - add German translation, thanks to Alwin Meschede (closes: #400511)
  1527. - add Catalan translation, thanks to Jorda Polo (closes: #410213)
  1528. - add Galician translation, thanks to Jacobo Tarrio (closes: #412241)
  1529. - add Portuguese translation, thanks to Miguel Figueiredo (closes: #412257)
  1530. -- Tilman Koschnick <til@subnetz.org> Sun, 25 Feb 2007 21:18:11 +0100
  1531. gpsd (2.33-4) unstable; urgency=low
  1532. * debian/patches/:
  1533. - add 23_hotplug_racecond.dpatch (closes: #321421)
  1534. * /etc/init.d/gpsd:
  1535. - order run levels in LSB headers
  1536. * Upload sponsored by Petter Reinholdtsen
  1537. -- Tilman Koschnick <til@subnetz.org> Sat, 7 Oct 2006 21:41:37 +0200
  1538. gpsd (2.33-3) unstable; urgency=low
  1539. * Acknowledging previous NMU, thanks to Kai Hendry (closes: #377773)
  1540. * remove rpath from binaries (required on amd64, ?)
  1541. * /etc/init.d/gpsd:
  1542. - require /etc/default/gpsd
  1543. - add Short-Description to LSB section
  1544. - use LSB logging functions
  1545. - remove 'S' from Default-Stop LSB header
  1546. * use python-support to install python modules
  1547. * debian/control:
  1548. - improve package description
  1549. - drop alternative build dependency on libxaw6-dev
  1550. - add build dependency on docbook-xsl (>= 1.71.0.dfsg.1-1), allowing to:
  1551. * debian/patches/:
  1552. - preserve <screen> environments in 22_manpage_linebreak.dpatch
  1553. * Upload sponsored by Petter Reinholdtsen
  1554. -- Tilman Koschnick <til@subnetz.org> Sat, 7 Oct 2006 11:14:43 +0200
  1555. gpsd (2.33-2.1) unstable; urgency=low
  1556. * Non-maintainer upload.
  1557. * lesstif1 -> lesstif2 migration (Closes: #377773)
  1558. -- Kai Hendry <hendry@iki.fi> Wed, 19 Jul 2006 09:38:34 +0900
  1559. gpsd (2.33-2) unstable; urgency=low
  1560. * debian/gpsd.dirs:
  1561. - add /etc/udev/rules.d (closes: #377016)
  1562. * debian/gpsd.postrm:
  1563. - fix removal of /etc/udev/rules.d/025_gpsd.rules on purge
  1564. * Upload sponsored by Petter Reinholdtsen
  1565. -- Tilman Koschnick <til@subnetz.org> Thu, 6 Jul 2006 10:03:58 +0200
  1566. gpsd (2.33-1) unstable; urgency=low
  1567. * New upstream release
  1568. * debian/copyright:
  1569. - update author list
  1570. * debian/control:
  1571. - bump Standards-Version to 3.7.2 (no changes required)
  1572. * debian/patches/:
  1573. - rm 16_fix_manpages.dpatch (obsolete)
  1574. - add 19_gpsfake_fuser.dpatch
  1575. - add 20_gpsfake_manpage.dpatch (closes: #335480)
  1576. - add 21_autobaud_delay.dpatch: make connecting to Garmin eTrex more
  1577. reliable (closes: #303548, #321423)
  1578. - add 22_manpage_linebreak.dpatch
  1579. * /etc/init.d/gpsd:
  1580. - stop gracefully if gpsd is not running (closes: #374658)
  1581. * update lintian-overrides
  1582. * Upload sponsored by Petter Reinholdtsen
  1583. -- Tilman Koschnick <til@subnetz.org> Mon, 26 Jun 2006 16:28:36 +0200
  1584. gpsd (2.32-2) unstable; urgency=low
  1585. * switch from obsolete hotplug to udev interface, thanks to Marco d'Itri
  1586. (closes: #338745)
  1587. * debian/patches/:
  1588. - add 17_gpsd_manpage_section.dpatch
  1589. * debian/gpsd.postinst:
  1590. - always source /usr/share/debconf/confmodule
  1591. * debian/rules:
  1592. - add -I/usr/X11R6/include to CFLAGS until xorg migration is complete
  1593. - add -fno-strict-aliasing to CFLAGS to satisfy gcc 4.1
  1594. -- Tilman Koschnick <til@subnetz.org> Sat, 29 Apr 2006 16:02:40 +0200
  1595. gpsd (2.32-1) unstable; urgency=low
  1596. * New upstream release
  1597. - new program: cgpxlogger
  1598. * debian/copyright: update author list
  1599. * debian/control:
  1600. - drop optional dbus build dependencies for stable
  1601. (closes: #348318, #362565)
  1602. - drop optional build dependency on xlibs-dev to make lintian happy
  1603. * debian/patches/:
  1604. - rm 13_include_xm_fix.dpatch (included upstream)
  1605. - rm 15_link_lm_fix.dpatch (included upstream)
  1606. - add 16_fix_manpages.dpatch
  1607. * install gps.1.gz as xgps.1.gz to avoid conflict with gps package
  1608. * link gpxlogger.1.gz to xgps.1.gz
  1609. * drop debian/watch (doesn't work with BerliOS download page)
  1610. * fix Homepage line in description
  1611. -- Tilman Koschnick <til@subnetz.org> Sun, 16 Apr 2006 20:54:34 +0200
  1612. gpsd (2.30-2) unstable; urgency=low
  1613. * /etc/init.d/gpsd:
  1614. - add LSB formatted dependency info, thanks to Petter Reinholdtsen
  1615. (closes: #335347)
  1616. - do not chown $PIDFILE, thanks to Elmar Hoffmann (closes: #343733)
  1617. * debian/patches/:
  1618. - add 15_link_lm_fix.dpatch (closes: #340081)
  1619. -- Tilman Koschnick <til@subnetz.org> Sun, 20 Nov 2005 14:11:28 +0100
  1620. gpsd (2.30-1) unstable; urgency=low
  1621. * New upstream release
  1622. * debian/copyright: update author list
  1623. * debian/patches/:
  1624. - add 13_include_xm_fix.dpatch
  1625. * debconf templates:
  1626. - add Swedish translation, thanks to Daniel Nylander (closes: #333676)
  1627. -- Tilman Koschnick <til@subnetz.org> Sat, 12 Nov 2005 22:40:18 +0100
  1628. gpsd (2.29-1) unstable; urgency=low
  1629. * New upstream release
  1630. - new programs: cgps, gpsflash, gpspipe, gpxlogger, rtcmdecode
  1631. * move sirfmon to gpsd-clients package
  1632. * debian/patches/:
  1633. - rm 12_send_dbus_fix.dpatch (included upstream)
  1634. * update lintian-overrides
  1635. -- Tilman Koschnick <til@subnetz.org> Fri, 19 Aug 2005 18:41:56 +0200
  1636. gpsd (2.28-2) unstable; urgency=low
  1637. * recompile against libstdc++6
  1638. -- Tilman Koschnick <til@subnetz.org> Fri, 8 Jul 2005 01:42:27 +0200
  1639. gpsd (2.28-1) unstable; urgency=low
  1640. * New upstream release
  1641. * debian/patches/:
  1642. - rm 10_dbus_fix.dpatch (included upstream)
  1643. - rm 11_hotplug_fix.dpatch (obsolete)
  1644. - add 12_send_dbus_fix.dpatch
  1645. * update lintian-overrides
  1646. -- Tilman Koschnick <til@subnetz.org> Wed, 6 Jul 2005 19:32:27 +0200
  1647. gpsd (2.26-1) unstable; urgency=low
  1648. * New upstream release
  1649. - bugfix: gps.h refers to missing gpsutils.h (closes: #314998)
  1650. * compile with dbus support
  1651. * debian/patches/:
  1652. - rm 09_gpsdrive_fix.dpatch (obsolete)
  1653. - add 10_dbus_fix.dpatch
  1654. - add 11_hotplug_fix.dpatch
  1655. * update lintian-overrides
  1656. * debconf templates:
  1657. - update French translation, thanks to Jean-Luc Coulon (closes: #315364)
  1658. * bump Standards-Version to 3.6.2 (no changes required)
  1659. -- Tilman Koschnick <til@subnetz.org> Fri, 24 Jun 2005 13:20:40 +0200
  1660. gpsd (2.25-1) unstable; urgency=low
  1661. * New upstream release (closes: #301469)
  1662. - license change from GPL to BSD
  1663. - gpsd now starts as root and drops privileges afterwards; this is
  1664. required for the interface to ntpd, see README.Debian for details
  1665. - no default device /dev/gps anymore (closes: #303174)
  1666. - bugfix: libgps leaks socket fd when setsockopt or connect fails
  1667. (closes: #299427)
  1668. - hotplug support added
  1669. - new sirfmon program
  1670. - gpsprobe removed
  1671. * add dependency on netbase (closes: #299286)
  1672. * prefere build dependency on lesstif2 over lesstif
  1673. * debian/patches/:
  1674. - rm 03_documentation.dpatch
  1675. - rm 07_unit_options.dpatch (not accepted upstream, superseded by
  1676. less intrusive 08_default_units.dpatch)
  1677. - add 08_default_units.dpatch
  1678. - add 09_gpsdrive_fix.dpatch
  1679. * update lintian-overrides
  1680. * revise README.Debian
  1681. * debconf templates:
  1682. - add Czech translation, thanks to Miroslav Kure (closes: #310466)
  1683. - add Vietnamese translation, thanks to Clytie Siddall (closes: #311879)
  1684. -- Tilman Koschnick <til@subnetz.org> Sat, 21 May 2005 15:02:25 +0200
  1685. gpsd (2.13-1) unstable; urgency=low
  1686. * New upstream release
  1687. - new gpsfake, gpsprof programs
  1688. * add CAN number to previous changelog version
  1689. * debian/patches/:
  1690. - rm 05_gps_py_typo.dpatch (included upstream)
  1691. - rm 06_X11_ad_files.dpatch (included upstream)
  1692. - rm 08_maxchannels.dpatch (obsolete)
  1693. - rm 09_syslog_formatstring.dpatch (obsolete)
  1694. * update lintian-overrides
  1695. -- Tilman Koschnick <til@subnetz.org> Tue, 22 Feb 2005 21:03:46 +0100
  1696. gpsd (2.7-4) unstable; urgency=high
  1697. * setting urgency=high because of RC bugfix
  1698. * bugfix: remote security problem with format strings
  1699. - CAN-2004-1388
  1700. - add debian/patches/09_syslog_formatstring.dpatch
  1701. - thanks to Ulf Harnhammar, KF, Petter Reinholdtsen
  1702. (closes: #292347, #292370)
  1703. * fix lintian warnings
  1704. - change description of gpsd-clients
  1705. - add /usr/share/lintian/overrides/gpsd
  1706. (ignoring non-dev-pkg-with-shlib-symlink,
  1707. description-synopsis-starts-with-a-capital-letter)
  1708. -- Tilman Koschnick <til@subnetz.org> Thu, 27 Jan 2005 13:31:03 +0100
  1709. gpsd (2.7-3) unstable; urgency=low
  1710. * import bugfixes from upstream's SVN
  1711. - avoid potential buffer overrun and memory leak
  1712. - add debian/patches/08_maxchannels.dpatch
  1713. -- Tilman Koschnick <til@subnetz.org> Wed, 19 Jan 2005 19:38:43 +0100
  1714. gpsd (2.7-2) unstable; urgency=low
  1715. * X11 app-defaults files:
  1716. - include xgps*.ad
  1717. - add debian/patches/06_X11_ad_files.dpatch
  1718. * fix speedunits, altunits options:
  1719. - add debian/patches/07_unit_options.dpatch
  1720. - rm debian/patches/01_speedunits.dpatch (superseded by 07_unit_options)
  1721. -- Tilman Koschnick <til@subnetz.org> Sun, 16 Jan 2005 14:06:26 +0100
  1722. gpsd (2.7-1) unstable; urgency=low
  1723. * New upstream release
  1724. * added -P <pidfile> option
  1725. - use option in /etc/init.d/gpsd
  1726. - closes: #287737
  1727. * debian/patches/:
  1728. - upstream renames gps to xgps; rm 02_gps_to_xgps.dpatch (obsolete)
  1729. - add 01_speedunits.dpatch: use metric system by default
  1730. (closes: #289944)
  1731. - add 05_gps_py_typo.dpatch: fix syntax error in gps.py
  1732. -- Tilman Koschnick <til@subnetz.org> Fri, 14 Jan 2005 23:31:14 +0100
  1733. gpsd (2.6-1) unstable; urgency=low
  1734. * New upstream release
  1735. * debian/patches/:
  1736. - rm 03_python_bindings.dpatch (obsolete)
  1737. - simplify documentation patches
  1738. * debconf templates:
  1739. - add Norwegian Bokmaal (nb) translation, thanks to Petter Reinholdtsen
  1740. (closes: #288271)
  1741. -- Tilman Koschnick <til@subnetz.org> Sun, 2 Jan 2005 18:03:34 +0100
  1742. gpsd (2.5-2) unstable; urgency=low
  1743. * debian/control:
  1744. - add alternative build-dependency on xlibs-dev
  1745. - set versioned build-dependency on debhelper to >= 4.1.25
  1746. - recommend python >= 2.3 for gpsd binary package (closes: #287147)
  1747. * debconf templates:
  1748. - add french translation, thanks to Jean-Luc Coulon (closes: #287265)
  1749. * gps.py:
  1750. - applied patch from upstream svn repository (r1169)
  1751. - bugfix: Python interface unable to handle multiline response, thanks to
  1752. Petter Reinholdtsen (closes: #287051)
  1753. -- Tilman Koschnick <til@subnetz.org> Fri, 24 Dec 2004 13:38:27 +0100
  1754. gpsd (2.5-1) unstable; urgency=low
  1755. * New upstream release
  1756. - bugfix: FTBFS on amd64/gcc-4.0, thanks to Andreas Jochens
  1757. (closes: #286906)
  1758. - bugfix: Python binding give AttributeError, thanks to Petter
  1759. Reinholdtsen (closes: #286955)
  1760. * debian/copyright:
  1761. - update list of authors
  1762. * python related changes:
  1763. - move python modules to /usr/lib/python2.3/site-packages/gpsd
  1764. - add /usr/lib/python2.3/site-packages/gpsd.pth
  1765. - rm debian/patches/03_python_syspath.dpatch (obsolete)
  1766. * debian/rules:
  1767. - properly clean sources in clean target, thanks to Petter Reinholdtsen
  1768. (closes: #286630)
  1769. * debian/control:
  1770. - add alternative build-dependency on libxaw6-dev (closes: #286637)
  1771. - add build-dependency on libxt-dev
  1772. * debian/gpsd-clients.menu
  1773. - add menu entries for xgps and xgpsspeed
  1774. -- Tilman Koschnick <til@subnetz.org> Tue, 21 Dec 2004 12:19:05 +0100
  1775. gpsd (2.4-1) unstable; urgency=low
  1776. * New upstream release
  1777. * debian/copyright: update list of authors
  1778. * rm debian/patches/01_missing_includes.dpatch (obsolete)
  1779. * add support for po-debconf
  1780. * debian/control: fix homepage URL
  1781. -- Tilman Koschnick <til@subnetz.org> Mon, 20 Dec 2004 00:41:57 +0100
  1782. gpsd (2.3-1) unstable; urgency=low
  1783. * Initial Release. (closes: #276376)
  1784. -- Tilman Koschnick <til@subnetz.org> Tue, 23 Nov 2004 00:28:27 +0100